<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists( 'swm_customizer_options_output_css' ) ) {
    function swm_customizer_options_output_css() {

    	ob_start();

        foreach ( glob( SWM_CUSTOMIZER . 'output/*.php' ) as $file ) {
            include_once ( $file );
        }

    	$swm_output_css = ob_get_contents();

    	ob_end_clean();

        $swm_clean_css    = preg_replace( '#/\*.*?\*/#s', '', $swm_output_css );        /* remove comments */
        $swm_compress_css = preg_replace( '/\s*([{}|:;,])\s+/', '$1', $swm_clean_css ); /* remove white space */
        $swm_final_css    = preg_replace( '/\s\s+(.*)/', '$1', $swm_compress_css );     /* remove initial white space */

      	wp_register_style( 'swm-customizer-css', get_template_directory_uri() . '/customizer/css/customizer-inline.css','',SWM_THEME_VERSION );
        wp_enqueue_style( 'swm-customizer-css' );
        wp_add_inline_style( 'swm-customizer-css', $swm_final_css );
    }
}

add_action( 'wp_enqueue_scripts', 'swm_customizer_options_output_css',1001 );