<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$swm_final_meta_header_bg_images = '';

$swm_meta_page_title_bar_on = get_post_meta( swm_get_queried_object_id(), 'swm_meta_page_title_bar_on', true );

if ( swm_customizer_metabox_onoff('swm_display_pagetitlebar','swm_meta_display_page_title_bar','default','default') == 'default' ) :

	if ( get_theme_mod( 'swm_page_title_bar_title_on','on' ) ) :
        ?>
        .swm-page-title-bar-title,
        h1.swm-page-title-bar-title {
            font-size: <?php echo intval(get_theme_mod( 'swm_page_title_bar_title_font_size_d', 65 )); ?>px;
            text-align:<?php echo esc_html(get_theme_mod( 'swm_page_title_bar_title_position', 'center' )); ?>;
            letter-spacing:<?php echo floatval(get_theme_mod( 'swm_page_title_bar_title_letter_space', 0 )); ?>px;
            text-transform:<?php echo esc_html(get_theme_mod( 'swm_page_title_bar_title_transform', 'lowercase' )); ?>;
            line-height:<?php echo floatval(get_theme_mod( 'swm_page_title_bar_title_lineheight', 70 )); ?>px;
            font-weight:<?php echo floatval(get_theme_mod( 'swm_page_title_bar_title_font_weight', 500 )); ?>;
        }
    <?php
    endif;

    $swm_page_title_bar_title_padding = get_theme_mod( 'swm_page_title_bar_title_padding', 80 );
    ?>

	.swm-page-title-bar {
		padding-top:<?php echo intval($swm_page_title_bar_title_padding); ?>px;
		padding-bottom:<?php echo intval($swm_page_title_bar_title_padding); ?>px;
	}

	<?php
endif;


if ( get_theme_mod( 'swm_titlebar_custom_colors_on','off' ) == 'on' ) {

    if ( '' != get_theme_mod( 'swm_page_title_bar_bg_color' ) ) { ?>
    .swm-page-title-bar { background-color:<?php echo sanitize_hex_color(get_theme_mod('swm_page_title_bar_bg_color')); ?>; }
    <?php }

    if ( '' != get_theme_mod( 'swm_page_title_bar_title_color' ) ) { ?>
    .swm-page-title-bar-title,
    h1.swm-page-title-bar-title { color:<?php echo sanitize_hex_color(get_theme_mod('swm_page_title_bar_title_color')); ?>; }
    <?php } ?>

<?php } ?>