body {
    --swm-sidebar-title-font-size: <?php echo intval(get_theme_mod( 'swm_sidebar_title_size', 32 )); ?>px;
    --swm-sidebar-title-letter-space: <?php echo intval(get_theme_mod( 'swm_sidebar_title_letter_space', 0 )); ?>px;
    --swm-sidebar-title-transform: <?php echo esc_html(get_theme_mod( 'swm_sidebar_title_transform', 'lowercase' )); ?>;
}

.swm-list-widgets { text-transform: <?php echo esc_html(get_theme_mod( 'swm_sidebar_list_widget_transform', 'none' )); ?>;}

<?php if ( get_theme_mod( 'swm_sidebar_custom_colors_on','off' ) == 'on' ) { ?>

    .swm-site-content .sidebar .swm-sidebar-ttl h4 span { color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_sidebar_title_color', '#000000' )); ?>; }

    .sidebar, .sidebar a {  color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_sidebar_link', '#555555' ));?>; }

    .sidebar a:hover,
    .sidebar ul li a:hover {  color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_sidebar_link_hover', '#000000' ));?>; }

    .sidebar,
    .sidebar select,
    .sidebar .widget_search .swm-search-form input {  color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_sidebar_text_col', '#555555' ));?>; }
    .sidebar .widget_search .swm-search-form input::placeholder {  color:<?php echo sanitize_hex_color(get_theme_mod( 'swm_sidebar_text_col', '#555555' ));?>; }

<?php } ?>