body {

    --swm-color-body: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_body_bg', '#ffffff' )); ?>;
    --swm-color-headings: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_headings', '#000000' )); ?>;
    --swm-color-text: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_text', '#000000' )); ?>;
    --swm-color-link: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_link', '#000000' )); ?>;
    --swm-color-link-hover: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_link_hover', '#000000' )); ?>;
    --swm-color-border: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_border', '#707070' )); ?>;
    --swm-color-border-hover: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_hover_border', '#000000' )); ?>;
    --swm-color-dark-1: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_dark_1', '#000000' )); ?>;
    --swm-color-dark-2: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_dark_2', '#333333' )); ?>;
    --swm-color-light-1: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_light_1', '#ffffff' )); ?>;
    --swm-color-light-2: <?php echo sanitize_hex_color(get_theme_mod( 'swm_color_light_2', '#f2f2f2' )); ?>;
    --swm-sidebar-font-size: <?php echo intval(get_theme_mod( 'swm_sidebar_text_size', 15 )); ?>px;
    --body-font-size: <?php echo intval(get_theme_mod( 'swm_body_font_size', 15 )); ?>px;
    --swm-body-line-height: <?php echo esc_attr(get_theme_mod( 'swm_body_font_lineheight', 1.85 )); ?>em;

    --swm-h1-font-size:<?php echo intval(get_theme_mod( 'swm_h1_font_size', 75 )); ?>px;
    --swm-h1-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h1_font_lineheight', 1.3 )); ?>em;
    --swm-h1-font-weight:<?php echo intval(get_theme_mod( 'swm_h1_font_weight', 500 )); ?>;

    --swm-h2-font-size:<?php echo intval(get_theme_mod( 'swm_h2_font_size', 60 )); ?>px;
    --swm-h2-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h2_font_lineheight', 1.2 )); ?>em;
    --swm-h2-font-weight:<?php echo intval(get_theme_mod( 'swm_h2_font_weight', 500 )); ?>;

    --swm-h3-font-size:<?php echo intval(get_theme_mod( 'swm_h3_font_size', 50 )); ?>px;
    --swm-h3-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h3_font_lineheight', 1.2 )); ?>em;
    --swm-h3-font-weight:<?php echo intval(get_theme_mod( 'swm_h3_font_weight', 500 )); ?>;

    --swm-h4-font-size:<?php echo intval(get_theme_mod( 'swm_h4_font_size', 45 )); ?>px;
    --swm-h4-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h4_font_lineheight', 1.2 )); ?>em;
    --swm-h4-font-weight:<?php echo intval(get_theme_mod( 'swm_h4_font_weight', 600 )); ?>;

    --swm-h5-font-size:<?php echo intval(get_theme_mod( 'swm_h5_font_size', 32 )); ?>px;
    --swm-h5-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h5_font_lineheight', 1.2 )); ?>em;
    --swm-h5-font-weight:<?php echo intval(get_theme_mod( 'swm_h5_font_weight', 600 )); ?>;

    --swm-h6-font-size:<?php echo intval(get_theme_mod( 'swm_h6_font_size', 20 )); ?>px;
    --swm-h6-line-height:<?php echo esc_attr(get_theme_mod( 'swm_h6_font_lineheight', 1.2 )); ?>em;
    --swm-h6-font-weight:<?php echo intval(get_theme_mod( 'swm_h6_font_weight', 600 )); ?>;

}