<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists( 'swm_load_customizer_translations' ) ) {
    function swm_load_customizer_translations() {

      wp_enqueue_script('swm-customizer-translations', SWM_THEME_DIR . '/customizer/js/translations.js','jquery','1.0', TRUE );

      $swmFontAwesomeLink_start = '<a href="https://fontawesome.com/icons?d=gallery&s=brands&m=free" target="_blank">';
      $swmFontAwesomeLink_end = '</a>';

      $swmSocialIcons_start = '<a href="' . admin_url( 'admin.php?page=swm-advanced-settings' ) . '" target="_blank">';
      $swmSocialIcons_end = '</a>';

      wp_localize_script('swm-customizer-translations', 'swm_c_translate', array(
            'swm_page_preloader_on_s_title'                => esc_html__( 'Page Preloader', 'orbius' ),
            'swm_bottom_go_top_scroll_btn_on_s_title'      => esc_html__( 'Scroll To Top Button', 'orbius' ),
            'swm_page_comments_on_s_title'                 => esc_html__( 'Comments', 'orbius' ),
            'swm_reading_progressbar_on_s_title'           => esc_html__( 'Reading Progress Bar', 'orbius' ),

            'swm_widget_footer_bg_color_two'              => esc_html__('Add a slightly darker color from the primary background color for application in tags hover, form fields, etc.','orbius'),
            'swm_widget_footer_border_color'              => esc_html__('Border color for form borders, link list separator borders, tags borders etc.','orbius'),

            'swm_body_font_size_s_title'                  => esc_html__('Body Font','orbius'),
            'swm_adobe_body_font_name_s_title'            => esc_html__('Body Font','orbius'),
            'swm_custom_body_font_name_s_title'           => esc_html__('Body Font','orbius'),

            'swm_custom_heading_font_name_s_title'        => esc_html__('Headings Font','orbius'),
            'swm_adobe_heading_font_name_s_title'         => esc_html__('Headings Font','orbius'),
            'swm_headings_font_letter_spacing_s_title'    => esc_html__('Headings Font','orbius'),
            'swm_secondary_font_letter_spacing_s_title'   => esc_html__('Secondary Font','orbius'),

            'swm_custom_secondary_font_name_s_title'        => esc_html__('Secondary Font','orbius'),
            'swm_adobe_secondary_font_name_s_title'         => esc_html__('Secondary Font','orbius'),

            'swm_h1_font_size_s_title'                    => esc_html__('Font Size','orbius'),
            'swm_h1_font_lineheight_s_title'              => esc_html__('Line Height','orbius'),
            'swm_h1_font_weight_s_title'                  => esc_html__('Font Weight','orbius'),

            'swm_content_padding_s_title'                 => esc_html__('Page Content Padding','orbius'),

            'swm_page_titlebar_on_s_title'                => esc_html__('Page - Titlebar','orbius'),
            'swm_post_titlebar_on_s_title'                => esc_html__('Post Single - Titlebar','orbius'),

            'swm_logo_standard_s_title'                   => esc_html__('Logo','orbius'),
            'swm_post_title_size_s_title'                => esc_html__('Post Title','orbius'),
            'swm_date_on_s_title'                         => esc_html__('Post Meta','orbius'),
            'swm_archives_sidebar_s_title'                => esc_html__('Archives Pages Options','orbius'),
            'swm_single_post_title_on_s_title'            => esc_html__('Post Title','orbius'),
            'swm_single_date_on_s_title'                  => esc_html__('Post Meta','orbius'),
            'swm_single_authorbox_on_s_title'             => esc_html__('Post Sections','orbius'),
            'swm_single_related_posts_on_s_title'             => esc_html__('Related Posts','orbius'),
            'swm_post_single_section_ttl_size_s_title'     => esc_html__('Sections Title','orbius'),
            'swm_sidebar_title_transform_s_title'         => esc_html__('Widget Title','orbius'),

            'swm_button_custom_colors_on_s_title'         =>  esc_html__('Button','orbius'),
            'swm_pagination_custom_colors_on_s_title'     =>  esc_html__('Pagination','orbius'),
            'swm_sidebar_custom_colors_on_s_title'        =>  esc_html__('Sidebar','orbius'),
            'swm_titlebar_custom_colors_on_s_title'       =>  esc_html__('Title bar','orbius'),
            'swm_mm_custom_colors_on_s_title'             =>  esc_html__('Mobile Menu','orbius'),
            'swm_footer_custom_colors_on_s_title'         =>  esc_html__('Footer','orbius'),
            'swm_shop_list_custom_colors_on_s_title'      =>  esc_html__('Shop List','orbius'),
            'swm_shop_single_custom_colors_on_s_title'    =>  esc_html__('Shop Single','orbius'),
            'swm_cursor_custom_colors_on_s_title'         =>  esc_html__('Cursor','orbius'),

            'swm_wc_single_thumb_section_width_s_title'   => esc_html__('Thumbnail Gallery','orbius'),

            'swm_custom_sticky_header_scroll_up_info' => esc_html__('Main Header and Sticky Header should be different to display a sticky footer on scroll up. ','orbius'),

            'swm_logo_standard_info'                      => esc_html__('Retina Ready Image logo. It should be twice the size of the normal logo. For instance, a 200x100 logo will display at 100x50.','orbius'),

            'swm_post_single_section_ttl_size_info'        => esc_html__('Apply styles to section titles, such as the "Leave a Comment" form on the blog single page.','orbius'),
            'swm_excerpt_length_info'                     => esc_html__('If you are not using the excerpt box to display summary text, you can control the summary text from the <strong>content</strong> text. If you add summary text in the post excerpt section, it will display all excerpt content.','orbius'),
            'swm_archives_sidebar_info'                   => esc_html__('Select your preferred sidebar for blog pages, such as archives, categories, author, and tags, etc.','orbius'),
            'swm_body_font_weight_light_info'             => esc_html__('If the selected body font family offers the "Light," "Medium," "Semi-Bold," and "Bold" options, you can enable or disable them using the corresponding on/off options for various styles in the site body text.','orbius'),
            'swm_content_padding_info' => esc_html__('Set the padding to be applied to page content in the specified format: top right bottom left (e.g. 10px 5px 10px 5px)','orbius'),
            'swm_reading_progressbar_color_info' => esc_html__('Color reference: Admin > Appearance > Customize > Color','orbius'),

            'swm_single_related_posts_meta_date_info'     => sprintf(esc_html__('%1$s Date Format Reference %2$s', 'orbius'), '<a href="https://wordpress.org/support/article/formatting-date-and-time/#format-string-examples" target="_blank">','</a>'),

            'swm_single_authorbox_on_info' => sprintf( esc_html__( 'Note: Enable or disable share post <strong>social icons</strong> through Admin > Theme Panel > %sAdvanced Settings%s > Social Icons', 'orbius' ),$swmSocialIcons_start, $swmSocialIcons_end),

            'swm_footer_custom_colors_on_info' => esc_html__('Custom colors for "Default" footer content','orbius'),
            'swm_titlebar_custom_colors_on_info' => esc_html__('Custom colors for "Default" Titlebar','orbius'),
            'swm_wc_shop_sale_badge_info' => esc_html__('Enabling this option will display a percentage value mark instead of a sale label on products.','orbius'),
        ));
  }

    add_action( 'customize_controls_print_footer_scripts', 'swm_load_customizer_translations' );
}