<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( get_theme_mod('swm_post_titlebar_on','on') == 'on' && !is_404() ) :

    $swm_show_post_titlebar    = 'on';
    $swm_meta_page_titlebar_on = get_post_meta( swm_get_queried_object_id(), 'swm_meta_page_titlebar_on', true );
    $swm_display_pagetitlebar  = get_theme_mod('swm_display_pagetitlebar','default');

    if ( !empty($swm_meta_page_titlebar_on) && isset($swm_meta_page_titlebar_on) ) {
        $swm_show_post_titlebar = $swm_meta_page_titlebar_on;
    }

    if ( $swm_show_post_titlebar == 'on' ) :

         $swm_meta_pagetitlebar_section = '';
         $swm_meta_pagetitlebar_section = get_post_meta( swm_get_queried_object_id(), 'swm_meta_pagetitlebar_section', true );

        if ( !empty($swm_meta_pagetitlebar_section) && '0' != $swm_meta_pagetitlebar_section ) {

            $swm_meta_pagetitlebar_id = swm_mk_get_custom_section_id('titlebar', $swm_meta_pagetitlebar_section);
            ?>
            <div class="swm_pagetitlebar_custom_section" id="swm_pagetitlebar_custom_section">
                <?php do_action( 'swm_action_show_section', $swm_meta_pagetitlebar_id ); ?>
            </div>
            <?php

        } elseif ( $swm_display_pagetitlebar == 'custom' ) {

            // main header
            $swm_get_page_titlebar_section  = get_theme_mod('swm_posttitlebar_section','0');
            $swm_pagetitlebar_id            = swm_mk_get_custom_section_id('titlebar', $swm_get_page_titlebar_section);
            ?>
            <div class="swm_pagetitlebar_custom_section" id="swm_pagetitlebar_custom_section">
                <?php do_action( 'swm_action_show_section', $swm_pagetitlebar_id ); ?>
            </div>
            <?php

        } else {

            wp_reset_postdata(); ?>
            <div id="swm-page-title-bar" class="swm-page-title-bar">
                <div class="swm-container swm-anim">

                    <div class="swm-page-title-bar-title-bc">
                        <?php echo swm_main_titles(); ?>
                        <div class="clear"></div>
                    </div>

                </div>
            </div> <!-- #swm-page-title-bar -->
        <?php

        }

    endif; // swm_show_post_titlebar

endif; // swm_post_titlebar_on