(function($){
    'use strict';

    $(document).ready(function() {
        // Refresh link on the post editor when select with section is changed in VC editor
        $( '.mkCustomSectionsLink' ).each(
            function() {
                var link = $( this );
                link.parent().parent().find( 'select' ).on(
                    'change', function() {
                        swm_change_post_edit_link( link );
                    }
                ).trigger('change');
            }
        );

        function swm_change_post_edit_link(a) {
            if (a.length > 0) {

                var sel = a.parent().parent().find( 'select' ),
                    val = sel.val();
                    var id = val !== '' && val !== 'inherit'
                                ? ('' + val).split( '-' ).pop()
                                : 0;
                    a.attr( 'href', a.attr( 'href' ).replace( /post=[0-9]{1,5}/, "post=" + id ) );
                    if (id == 0 || id == 'none') {
                        a.addClass( 'mk_hidden' );
                    } else {
                        a.removeClass( 'mk_hidden' );
                    }

            }
        }

        $('.mkMegamenuFieldTitle').each(function () {
            var self = $(this);
            var parentField = self.parent();
            self.click(function(){
                  self.toggleClass("iMinus");
                self.parent().find('.mkMegamenuFields').slideToggle('fast');
            });
        });

    });
})(jQuery);