<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

$post_id = get_the_ID();
$uniq_id = 'mk_section-' . $post_id;
//$meta = get_post_meta( $post_id, '_elementor_page_settings', true );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js">
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />
		<?php if ( ! current_theme_supports( 'title-tag' ) ) : ?>
		<title><?php echo wp_get_document_title(); ?></title>
		<?php endif; ?>
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
	<div class="mk-section-edit-area">
		<div id="<?php echo esc_attr($uniq_id); ?>" class="mk-section mk-section--front-mode mk-section--single-preview">
			<div class="mk-section__inner">
				<div class="mk-section__container">
					<div class="mk-section__container-inner"><?php
					while ( have_posts() ) :
						the_post();
						the_content();
					endwhile;
					wp_footer();
					?>
					</div>
				</div>
			</div>
		</div>
	</div>
	</body>
</html>