<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

ob_start();

get_header(); ?>
	<div class="swm-container">
		<div class="swm-error-page-content swm-scroll-load">
			<div class="swm-error-page-404">
                <h1>404</h1>
			</div>
			<?php
			$swm_error_page_content = '
			<h2 class="swm-error-page-title swm-tertiary-skin-col swm-heading-text">' . esc_html__( 'Oops! Page is not available.', 'orbius' ) . '</h2>
			<p class="swm-error-page-subtitle">'.esc_html__( 'The page you are looking for was moved, removed, renamed, or never existed.', 'orbius' ).'</p>';

			$swm_error_page_button = '<p class="swm-error-page-button"><a href="' . esc_url(home_url( '/' )) . '" class="button">' . esc_html__( 'Back to Home', 'orbius' ) . '<i class="fas fa-long-arrow-alt-right"></i></a></p>';

			echo apply_filters( 'swm_error_page_content', $swm_error_page_content );
			echo apply_filters( 'swm_error_page_button', $swm_error_page_button );
			?>
		</div>
	</div>
<?php get_footer(); ?>