<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

add_theme_support( 'post-thumbnails' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-formats', array( 'video') );
add_theme_support('customize-selective-refresh-widgets');
add_theme_support( 'title-tag' );
add_post_type_support('page', 'excerpt');
add_editor_style();

if ( !swm_get_ts_option('swm_disable_widget_blocks',false) ) {
    remove_theme_support( 'widgets-block-editor' );
}

if ( ! isset( $content_width ) )  { $content_width = 960; }

include_once (SWM_ADMIN . 'theme-dashboard.php');

/* ----------------------------------------------------------------------------------------
    Register Javascripts and CSS Files for Admin
---------------------------------------------------------------------------------------- */

if (!function_exists('swm_admin_scripts')) {
  function swm_admin_scripts() {

    wp_enqueue_script('swm-admin-global', SWM_THEME_DIR . '/admin/js/admin-global.js', ['jquery','jquery-ui-slider','jquery-ui-sortable'], SWM_THEME_VERSION, TRUE );

    wp_enqueue_style('nav-menu');
    wp_enqueue_style( 'swm-admin-global', SWM_THEME_DIR . '/admin/css/admin-global.css', '', SWM_THEME_VERSION );

  }
  add_action('admin_enqueue_scripts', 'swm_admin_scripts',1000);
}