<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! isset( $wp_customize->selective_refresh ) ) {
	return; // Abort if selective refresh is not available.
}

$wp_customize->selective_refresh->add_partial( 'swm_small_footer_copyright', array(
    'selector'            => '.swm-small-footer',
    'settings'            => array( 'swm_small_footer_copyright' ),
    'primarySetting'      => 'swm_small_footer_copyright',
    'container_inclusive' => true,
    'render_callback'     => function() {
        get_template_part('parts/footer/small-footer');
    },
) );