<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }

if ( ! function_exists( 'swm_google_fonts_list' ) ) {
    function swm_google_fonts_list() {

      $swm_google_font_families = array(
        'ABeeZee'                    => 'ABeeZee',
        'Abel'                       => 'Abel',
        'Abhaya Libre'               => 'Abhaya Libre',
        'Abril Fatface'              => 'Abril Fatface',
        'Aclonica'                   => 'Aclonica',
        'Acme'                       => 'Acme',
        'Actor'                      => 'Actor',
        'Adamina'                    => 'Adamina',
        'Advent Pro'                 => 'Advent Pro',
        'Aguafina Script'            => 'Aguafina Script',
        'Akronim'                    => 'Akronim',
        'Akshar'                     => 'Akshar',
        'Aladin'                     => 'Aladin',
        'Aldrich'                    => 'Aldrich',
        'Alef'                       => 'Alef',
        'Alegreya SC'                => 'Alegreya SC',
        'Alegreya Sans SC'           => 'Alegreya Sans SC',
        'Alegreya Sans'              => 'Alegreya Sans',
        'Alegreya'                   => 'Alegreya',
        'Alex Brush'                 => 'Alex Brush',
        'Alfa Slab One'              => 'Alfa Slab One',
        'Alice'                      => 'Alice',
        'Alike Angular'              => 'Alike Angular',
        'Alike'                      => 'Alike',
        'Allan'                      => 'Allan',
        'Allerta Stencil'            => 'Allerta Stencil',
        'Allerta'                    => 'Allerta',
        'Allura'                     => 'Allura',
        'Almendra Display'           => 'Almendra Display',
        'Almendra SC'                => 'Almendra SC',
        'Almendra'                   => 'Almendra',
        'Amarante'                   => 'Amarante',
        'Amaranth'                   => 'Amaranth',
        'Amatic SC'                  => 'Amatic SC',
        'Amethysta'                  => 'Amethysta',
        'Amiko'                      => 'Amiko',
        'Amiri'                      => 'Amiri',
        'Amita'                      => 'Amita',
        'Anaheim'                    => 'Anaheim',
        'Andada'                     => 'Andada',
        'Andika'                     => 'Andika',
        'Angkor'                     => 'Angkor',
        'Annie Use Your Telescope'   => 'Annie Use Your Telescope',
        'Anonymous Pro'              => 'Anonymous Pro',
        'Antic Didone'               => 'Antic Didone',
        'Antic Slab'                 => 'Antic Slab',
        'Antic'                      => 'Antic',
        'Anton'                      => 'Anton',
        'Arapey'                     => 'Arapey',
        'Arbutus Slab'               => 'Arbutus Slab',
        'Arbutus'                    => 'Arbutus',
        'Architects Daughter'        => 'Architects Daughter',
        'Archivo Black'              => 'Archivo Black',
        'Archivo Narrow'             => 'Archivo Narrow',
        'Archivo'                    => 'Archivo',
        'Aref Ruqaa'                 => 'Aref Ruqaa',
        'Arima Madurai'              => 'Arima Madurai',
        'Arimo'                      => 'Arimo',
        'Arizonia'                   => 'Arizonia',
        'Armata'                     => 'Armata',
        'Arsenal'                    => 'Arsenal',
        'Artifika'                   => 'Artifika',
        'Arvo'                       => 'Arvo',
        'Arya'                       => 'Arya',
        'Asap'                       => 'Asap',
        'Asar'                       => 'Asar',
        'Asset'                      => 'Asset',
        'Assistant'                  => 'Assistant',
        'Astloch'                    => 'Astloch',
        'Asul'                       => 'Asul',
        'Athiti'                     => 'Athiti',
        'Atma'                       => 'Atma',
        'Atomic Age'                 => 'Atomic Age',
        'Aubrey'                     => 'Aubrey',
        'Audiowide'                  => 'Audiowide',
        'Autour One'                 => 'Autour One',
        'Average Sans'               => 'Average Sans',
        'Average'                    => 'Average',
        'Averia Gruesa Libre'        => 'Averia Gruesa Libre',
        'Averia Libre'               => 'Averia Libre',
        'Averia Sans Libre'          => 'Averia Sans Libre',
        'Averia Serif Libre'         => 'Averia Serif Libre',
        'Bad Script'                 => 'Bad Script',
        'Bahiana'                    => 'Bahiana',
        'Baloo Bhai'                 => 'Baloo Bhai',
        'Baloo Bhaijaan'             => 'Baloo Bhaijaan',
        'Baloo Bhaina'               => 'Baloo Bhaina',
        'Baloo Chettan'              => 'Baloo Chettan',
        'Baloo Da'                   => 'Baloo Da',
        'Baloo Paaji'                => 'Baloo Paaji',
        'Baloo Tamma'                => 'Baloo Tamma',
        'Baloo Tammudu'              => 'Baloo Tammudu',
        'Baloo Thambi'               => 'Baloo Thambi',
        'Baloo'                      => 'Baloo',
        'Balthazar'                  => 'Balthazar',
        'Bangers'                    => 'Bangers',
        'Barlow Condensed'           => 'Barlow Condensed',
        'Barlow Semi Condensed'      => 'Barlow Semi Condensed',
        'Barlow'                     => 'Barlow',
        'Barrio'                     => 'Barrio',
        'Basic'                      => 'Basic',
        'Battambang'                 => 'Battambang',
        'Baumans'                    => 'Baumans',
        'Bayon'                      => 'Bayon',
        'Bebas Neue'                 => 'Bebas Neue',
        'Belgrano'                   => 'Belgrano',
        'Bellefair'                  => 'Bellefair',
        'Belleza'                    => 'Belleza',
        'BenchNine'                  => 'BenchNine',
        'Bentham'                    => 'Bentham',
        'Berkshire Swash'            => 'Berkshire Swash',
        'Bevan'                      => 'Bevan',
        'Bigelow Rules'              => 'Bigelow Rules',
        'Bigshot One'                => 'Bigshot One',
        'Big Shoulders Text'         => 'Big Shoulders Text',
        'Bilbo Swash Caps'           => 'Bilbo Swash Caps',
        'Bilbo'                      => 'Bilbo',
        'BioRhyme Expanded'          => 'BioRhyme Expanded',
        'BioRhyme'                   => 'BioRhyme',
        'Biryani'                    => 'Biryani',
        'Bitter'                     => 'Bitter',
        'Black Ops One'              => 'Black Ops One',
        'Bokor'                      => 'Bokor',
        'Bona Nova'                  => 'Bona Nova',
        'Bonbon'                     => 'Bonbon',
        'Boogaloo'                   => 'Boogaloo',
        'Bowlby One SC'              => 'Bowlby One SC',
        'Bowlby One'                 => 'Bowlby One',
        'Brawler'                    => 'Brawler',
        'Bree Serif'                 => 'Bree Serif',
        'Bubblegum Sans'             => 'Bubblegum Sans',
        'Bubbler One'                => 'Bubbler One',
        'Buda'                       => 'Buda',
        'Buenard'                    => 'Buenard',
        'Bungee Hairline'            => 'Bungee Hairline',
        'Bungee Inline'              => 'Bungee Inline',
        'Bungee Outline'             => 'Bungee Outline',
        'Bungee Shade'               => 'Bungee Shade',
        'Bungee'                     => 'Bungee',
        'Butcherman'                 => 'Butcherman',
        'Butterfly Kids'             => 'Butterfly Kids',
        'Cabin Condensed'            => 'Cabin Condensed',
        'Cabin Sketch'               => 'Cabin Sketch',
        'Cabin'                      => 'Cabin',
        'Caesar Dressing'            => 'Caesar Dressing',
        'Cagliostro'                 => 'Cagliostro',
        'Cairo'                      => 'Cairo',
        'Calligraffitti'             => 'Calligraffitti',
        'Cambay'                     => 'Cambay',
        'Cambo'                      => 'Cambo',
        'Candal'                     => 'Candal',
        'Cantarell'                  => 'Cantarell',
        'Cantata One'                => 'Cantata One',
        'Cantora One'                => 'Cantora One',
        'Capriola'                   => 'Capriola',
        'Cardo'                      => 'Cardo',
        'Carme'                      => 'Carme',
        'Carrois Gothic SC'          => 'Carrois Gothic SC',
        'Carrois Gothic'             => 'Carrois Gothic',
        'Carter One'                 => 'Carter One',
        'Catamaran'                  => 'Catamaran',
        'Caudex'                     => 'Caudex',
        'Caveat Brush'               => 'Caveat Brush',
        'Caveat'                     => 'Caveat',
        'Cedarville Cursive'         => 'Cedarville Cursive',
        'Ceviche One'                => 'Ceviche One',
        'Changa One'                 => 'Changa One',
        'Changa'                     => 'Changa',
        'Chango'                     => 'Chango',
        'Chathura'                   => 'Chathura',
        'Chau Philomene One'         => 'Chau Philomene One',
        'Chela One'                  => 'Chela One',
        'Chelsea Market'             => 'Chelsea Market',
        'Chenla'                     => 'Chenla',
        'Cherry Cream Soda'          => 'Cherry Cream Soda',
        'Cherry Swash'               => 'Cherry Swash',
        'Chewy'                      => 'Chewy',
        'Chicle'                     => 'Chicle',
        'Chivo'                      => 'Chivo',
        'Chonburi'                   => 'Chonburi',
        'Cinzel Decorative'          => 'Cinzel Decorative',
        'Cinzel'                     => 'Cinzel',
        'Clicker Script'             => 'Clicker Script',
        'Coda Caption'               => 'Coda Caption',
        'Coda'                       => 'Coda',
        'Codystar'                   => 'Codystar',
        'Coiny'                      => 'Coiny',
        'Combo'                      => 'Combo',
        'Comfortaa'                  => 'Comfortaa',
        'Coming Soon'                => 'Coming Soon',
        'Concert One'                => 'Concert One',
        'Condiment'                  => 'Condiment',
        'Content'                    => 'Content',
        'Contrail One'               => 'Contrail One',
        'Convergence'                => 'Convergence',
        'Cookie'                     => 'Cookie',
        'Copse'                      => 'Copse',
        'Corben'                     => 'Corben',
        'Cormorant Garamond'         => 'Cormorant Garamond',
        'Cormorant Infant'           => 'Cormorant Infant',
        'Cormorant SC'               => 'Cormorant SC',
        'Cormorant Unicase'          => 'Cormorant Unicase',
        'Cormorant Upright'          => 'Cormorant Upright',
        'Cormorant'                  => 'Cormorant',
        'Courgette'                  => 'Courgette',
        'Cousine'                    => 'Cousine',
        'Coustard'                   => 'Coustard',
        'Covered By Your Grace'      => 'Covered By Your Grace',
        'Crafty Girls'               => 'Crafty Girls',
        'Creepster'                  => 'Creepster',
        'Crete Round'                => 'Crete Round',
        'Crimson Text'               => 'Crimson Text',
        'Croissant One'              => 'Croissant One',
        'Crushed'                    => 'Crushed',
        'Cuprum'                     => 'Cuprum',
        'Cutive Mono'                => 'Cutive Mono',
        'Cutive'                     => 'Cutive',
        'DM Sans'                    => 'DM Sans',
        'Damion'                     => 'Damion',
        'Dancing Script'             => 'Dancing Script',
        'Dangrek'                    => 'Dangrek',
        'David Libre'                => 'David Libre',
        'Dawning of a New Day'       => 'Dawning of a New Day',
        'Days One'                   => 'Days One',
        'Dekko'                      => 'Dekko',
        'Delius Swash Caps'          => 'Delius Swash Caps',
        'Delius Unicase'             => 'Delius Unicase',
        'Delius'                     => 'Delius',
        'Della Respira'              => 'Della Respira',
        'Denk One'                   => 'Denk One',
        'Devonshire'                 => 'Devonshire',
        'Dhurjati'                   => 'Dhurjati',
        'Didact Gothic'              => 'Didact Gothic',
        'Diplomata SC'               => 'Diplomata SC',
        'Diplomata'                  => 'Diplomata',
        'Domine'                     => 'Domine',
        'Donegal One'                => 'Donegal One',
        'Doppio One'                 => 'Doppio One',
        'Dorsa'                      => 'Dorsa',
        'Dosis'                      => 'Dosis',
        'Dr Sugiyama'                => 'Dr Sugiyama',
        'Droid Sans Mono'            => 'Droid Sans Mono',
        'Droid Sans'                 => 'Droid Sans',
        'Droid Serif'                => 'Droid Serif',
        'Duru Sans'                  => 'Duru Sans',
        'Dynalight'                  => 'Dynalight',
        'EB Garamond'                => 'EB Garamond',
        'Eagle Lake'                 => 'Eagle Lake',
        'Eater'                      => 'Eater',
        'Economica'                  => 'Economica',
        'Eczar'                      => 'Eczar',
        'El Messiri'                 => 'El Messiri',
        'Electrolize'                => 'Electrolize',
        'Elsie Swash Caps'           => 'Elsie Swash Caps',
        'Elsie'                      => 'Elsie',
        'Emblema One'                => 'Emblema One',
        'Emilys Candy'               => 'Emilys Candy',
        'Encode Sans Condensed'      => 'Encode Sans Condensed',
        'Encode Sans Expanded'       => 'Encode Sans Expanded',
        'Encode Sans Semi Condensed' => 'Encode Sans Semi Condensed',
        'Encode Sans Semi Expanded'  => 'Encode Sans Semi Expanded',
        'Encode Sans'                => 'Encode Sans',
        'Engagement'                 => 'Engagement',
        'Englebert'                  => 'Englebert',
        'Enriqueta'                  => 'Enriqueta',
        'Erica One'                  => 'Erica One',
        'Esteban'                    => 'Esteban',
        'Euphoria Script'            => 'Euphoria Script',
        'Ewert'                      => 'Ewert',
        'Exo 2'                      => 'Exo 2',
        'Exo'                        => 'Exo',
        'Expletus Sans'              => 'Expletus Sans',
        'Fanwood Text'               => 'Fanwood Text',
        'Farsan'                     => 'Farsan',
        'Fascinate Inline'           => 'Fascinate Inline',
        'Fascinate'                  => 'Fascinate',
        'Faster One'                 => 'Faster One',
        'Fasthand'                   => 'Fasthand',
        'Fauna One'                  => 'Fauna One',
        'Faustina'                   => 'Faustina',
        'Federant'                   => 'Federant',
        'Federo'                     => 'Federo',
        'Felipa'                     => 'Felipa',
        'Fenix'                      => 'Fenix',
        'Figtree'                    => 'Figtree',
        'Finger Paint'               => 'Finger Paint',
        'Fira Mono'                  => 'Fira Mono',
        'Fira Sans Condensed'        => 'Fira Sans Condensed',
        'Fira Sans Extra Condensed'  => 'Fira Sans Extra Condensed',
        'Fira Sans'                  => 'Fira Sans',
        'Fjalla One'                 => 'Fjalla One',
        'Fjord One'                  => 'Fjord One',
        'Flamenco'                   => 'Flamenco',
        'Flavors'                    => 'Flavors',
        'Fondamento'                 => 'Fondamento',
        'Fontdiner Swanky'           => 'Fontdiner Swanky',
        'Forum'                      => 'Forum',
        'Francois One'               => 'Francois One',
        'Frank Ruhl Libre'           => 'Frank Ruhl Libre',
        'Freckle Face'               => 'Freckle Face',
        'Fredericka the Great'       => 'Fredericka the Great',
        'Fredoka'                    => 'Fredoka',
        'Fredoka One'                => 'Fredoka One',
        'Freehand'                   => 'Freehand',
        'Fresca'                     => 'Fresca',
        'Frijole'                    => 'Frijole',
        'Fruktur'                    => 'Fruktur',
        'Fugaz One'                  => 'Fugaz One',
        'GFS Didot'                  => 'GFS Didot',
        'GFS Neohellenic'            => 'GFS Neohellenic',
        'Gabriela'                   => 'Gabriela',
        'Gaegu'                      => 'Gaegu',
        'Gafata'                     => 'Gafata',
        'Galada'                     => 'Galada',
        'Galdeano'                   => 'Galdeano',
        'Galindo'                    => 'Galindo',
        'Gentium Basic'              => 'Gentium Basic',
        'Gentium Book Basic'         => 'Gentium Book Basic',
        'Geo'                        => 'Geo',
        'Geostar Fill'               => 'Geostar Fill',
        'Geostar'                    => 'Geostar',
        'Germania One'               => 'Germania One',
        'Gidugu'                     => 'Gidugu',
        'Gilda Display'              => 'Gilda Display',
        'Give You Glory'             => 'Give You Glory',
        'Glass Antiqua'              => 'Glass Antiqua',
        'Glegoo'                     => 'Glegoo',
        'Gloock'                     => 'Gloock',
        'Gloria Hallelujah'          => 'Gloria Hallelujah',
        'Goblin One'                 => 'Goblin One',
        'Gochi Hand'                 => 'Gochi Hand',
        'Golos Text'                 => 'Golos Text',
        'Gorditas'                   => 'Gorditas',
        'Goudy Bookletter 1911'      => 'Goudy Bookletter 1911',
        'Graduate'                   => 'Graduate',
        'Grand Hotel'                => 'Grand Hotel',
        'Gravitas One'               => 'Gravitas One',
        'Great Vibes'                => 'Great Vibes',
        'Griffy'                     => 'Griffy',
        'Gruppo'                     => 'Gruppo',
        'Gudea'                      => 'Gudea',
        'Gurajada'                   => 'Gurajada',
        'Habibi'                     => 'Habibi',
        'Halant'                     => 'Halant',
        'Hammersmith One'            => 'Hammersmith One',
        'Hanalei Fill'               => 'Hanalei Fill',
        'Hanalei'                    => 'Hanalei',
        'Handlee'                    => 'Handlee',
        'Hanuman'                    => 'Hanuman',
        'Happy Monkey'               => 'Happy Monkey',
        'Harmattan'                  => 'Harmattan',
        'Headland One'               => 'Headland One',
        'Heebo'                      => 'Heebo',
        'Henny Penny'                => 'Henny Penny',
        'Herr Von Muellerhoff'       => 'Herr Von Muellerhoff',
        'Hind Guntur'                => 'Hind Guntur',
        'Hind Madurai'               => 'Hind Madurai',
        'Hind Siliguri'              => 'Hind Siliguri',
        'Hind Vadodara'              => 'Hind Vadodara',
        'Hind'                       => 'Hind',
        'Holtwood One SC'            => 'Holtwood One SC',
        'Homemade Apple'             => 'Homemade Apple',
        'Homenaje'                   => 'Homenaje',
        'IBM Plex Serif'             => 'IBM Plex Serif',
        'IM Fell DW Pica SC'         => 'IM Fell DW Pica SC',
        'IM Fell DW Pica'            => 'IM Fell DW Pica',
        'IM Fell Double Pica SC'     => 'IM Fell Double Pica SC',
        'IM Fell Double Pica'        => 'IM Fell Double Pica',
        'IM Fell English SC'         => 'IM Fell English SC',
        'IM Fell English'            => 'IM Fell English',
        'IM Fell French Canon SC'    => 'IM Fell French Canon SC',
        'IM Fell French Canon'       => 'IM Fell French Canon',
        'IM Fell Great Primer SC'    => 'IM Fell Great Primer SC',
        'IM Fell Great Primer'       => 'IM Fell Great Primer',
        'Iceberg'                    => 'Iceberg',
        'Iceland'                    => 'Iceland',
        'Imprima'                    => 'Imprima',
        'Inconsolata'                => 'Inconsolata',
        'Inder'                      => 'Inder',
        'Indie Flower'               => 'Indie Flower',
        'Inika'                      => 'Inika',
        'Inknut Antiqua'             => 'Inknut Antiqua',
        'Inter'                      => 'Inter',
        'Inter Tight'                => 'Inter Tight',
        'Irish Grover'               => 'Irish Grover',
        'Istok Web'                  => 'Istok Web',
        'Italiana'                   => 'Italiana',
        'Italianno'                  => 'Italianno',
        'Itim'                       => 'Itim',
        'Jacques Francois Shadow'    => 'Jacques Francois Shadow',
        'Jacques Francois'           => 'Jacques Francois',
        'Jaldi'                      => 'Jaldi',
        'Jim Nightshade'             => 'Jim Nightshade',
        'Jockey One'                 => 'Jockey One',
        'Jolly Lodger'               => 'Jolly Lodger',
        'Jomhuria'                   => 'Jomhuria',
        'Josefin Sans'               => 'Josefin Sans',
        'Josefin Slab'               => 'Josefin Slab',
        'Jost'                       => 'Jost',
        'Joti One'                   => 'Joti One',
        'Jua'                        => 'Jua',
        'Judson'                     => 'Judson',
        'Julee'                      => 'Julee',
        'Julius Sans One'            => 'Julius Sans One',
        'Junge'                      => 'Junge',
        'Jura'                       => 'Jura',
        'Just Another Hand'          => 'Just Another Hand',
        'Just Me Again Down Here'    => 'Just Me Again Down Here',
        'Kadwa'                      => 'Kadwa',
        'Kalam'                      => 'Kalam',
        'Kameron'                    => 'Kameron',
        'Kanit'                      => 'Kanit',
        'Kantumruy'                  => 'Kantumruy',
        'Karla'                      => 'Karla',
        'Karma'                      => 'Karma',
        'Katibeh'                    => 'Katibeh',
        'Kaushan Script'             => 'Kaushan Script',
        'Kavivanar'                  => 'Kavivanar',
        'Kavoon'                     => 'Kavoon',
        'Kdam Thmor'                 => 'Kdam Thmor',
        'Keania One'                 => 'Keania One',
        'Kelly Slab'                 => 'Kelly Slab',
        'Kenia'                      => 'Kenia',
        'Khand'                      => 'Khand',
        'Khmer'                      => 'Khmer',
        'Khula'                      => 'Khula',
        'Kite One'                   => 'Kite One',
        'Knewave'                    => 'Knewave',
        'Kotta One'                  => 'Kotta One',
        'Koulen'                     => 'Koulen',
        'Kranky'                     => 'Kranky',
        'Kreon'                      => 'Kreon',
        'Kristi'                     => 'Kristi',
        'Krona One'                  => 'Krona One',
        'Kumar One Outline'          => 'Kumar One Outline',
        'Kumar One'                  => 'Kumar One',
        'Kurale'                     => 'Kurale',
        'La Belle Aurore'            => 'La Belle Aurore',
        'Labrada'                    => 'Labrada',
        'Laila'                      => 'Laila',
        'Lakki Reddy'                => 'Lakki Reddy',
        'Lalezar'                    => 'Lalezar',
        'Lancelot'                   => 'Lancelot',
        'Lateef'                     => 'Lateef',
        'Lato'                       => 'Lato',
        'League Script'              => 'League Script',
        'League Spartan'             => 'League Spartan',
        'Leckerli One'               => 'Leckerli One',
        'Ledger'                     => 'Ledger',
        'Lekton'                     => 'Lekton',
        'Lemon'                      => 'Lemon',
        'Lemonada'                   => 'Lemonada',
        'Lexend'                     => 'Lexend',
        'Libre Baskerville'          => 'Libre Baskerville',
        'Libre Franklin'             => 'Libre Franklin',
        'Life Savers'                => 'Life Savers',
        'Lilita One'                 => 'Lilita One',
        'Lily Script One'            => 'Lily Script One',
        'Limelight'                  => 'Limelight',
        'Linden Hill'                => 'Linden Hill',
        'Lobster Two'                => 'Lobster Two',
        'Lobster'                    => 'Lobster',
        'Londrina Outline'           => 'Londrina Outline',
        'Londrina Shadow'            => 'Londrina Shadow',
        'Londrina Sketch'            => 'Londrina Sketch',
        'Londrina Solid'             => 'Londrina Solid',
        'Lora'                       => 'Lora',
        'Love Ya Like A Sister'      => 'Love Ya Like A Sister',
        'Loved by the King'          => 'Loved by the King',
        'Lovers Quarrel'             => 'Lovers Quarrel',
        'Luckiest Guy'               => 'Luckiest Guy',
        'Lusitana'                   => 'Lusitana',
        'Lustria'                    => 'Lustria',
        'Macondo Swash Caps'         => 'Macondo Swash Caps',
        'Macondo'                    => 'Macondo',
        'Mada'                       => 'Mada',
        'Magra'                      => 'Magra',
        'Maiden Orange'              => 'Maiden Orange',
        'Maitree'                    => 'Maitree',
        'Mako'                       => 'Mako',
        'Mali'                       => 'Mali',
        'Mallanna'                   => 'Mallanna',
        'Mandali'                    => 'Mandali',
        'Manrope'                    => 'Manrope',
        'Manuale'                    => 'Manuale',
        'Marcellus SC'               => 'Marcellus SC',
        'Marcellus'                  => 'Marcellus',
        'Marck Script'               => 'Marck Script',
        'Margarine'                  => 'Margarine',
        'Marko One'                  => 'Marko One',
        'Marmelad'                   => 'Marmelad',
        'Martel Sans'                => 'Martel Sans',
        'Martel'                     => 'Martel',
        'Marvel'                     => 'Marvel',
        'Mate SC'                    => 'Mate SC',
        'Mate'                       => 'Mate',
        'Maven Pro'                  => 'Maven Pro',
        'McLaren'                    => 'McLaren',
        'Meddon'                     => 'Meddon',
        'MedievalSharp'              => 'MedievalSharp',
        'Medula One'                 => 'Medula One',
        'Meera Inimai'               => 'Meera Inimai',
        'Megrim'                     => 'Megrim',
        'Meie Script'                => 'Meie Script',
        'Merienda One'               => 'Merienda One',
        'Merienda'                   => 'Merienda',
        'Merriweather Sans'          => 'Merriweather Sans',
        'Merriweather'               => 'Merriweather',
        'Metal Mania'                => 'Metal Mania',
        'Metal'                      => 'Metal',
        'Metamorphous'               => 'Metamorphous',
        'Metrophobic'                => 'Metrophobic',
        'Michroma'                   => 'Michroma',
        'Milonga'                    => 'Milonga',
        'Miltonian Tattoo'           => 'Miltonian Tattoo',
        'Miltonian'                  => 'Miltonian',
        'Miniver'                    => 'Miniver',
        'Miriam Libre'               => 'Miriam Libre',
        'Mirza'                      => 'Mirza',
        'Miss Fajardose'             => 'Miss Fajardose',
        'Mitr'                       => 'Mitr',
        'Modak'                      => 'Modak',
        'Modern Antiqua'             => 'Modern Antiqua',
        'Mogra'                      => 'Mogra',
        'Molengo'                    => 'Molengo',
        'Molle'                      => 'Molle',
        'Monda'                      => 'Monda',
        'Monofett'                   => 'Monofett',
        'Monoton'                    => 'Monoton',
        'Monsieur La Doulaise'       => 'Monsieur La Doulaise',
        'Montaga'                    => 'Montaga',
        'Montez'                     => 'Montez',
        'Montserrat Alternates'      => 'Montserrat Alternates',
        'Montserrat Subrayada'       => 'Montserrat Subrayada',
        'Montserrat'                 => 'Montserrat',
        'Moul'                       => 'Moul',
        'Moulpali'                   => 'Moulpali',
        'Mountains of Christmas'     => 'Mountains of Christmas',
        'Mouse Memoirs'              => 'Mouse Memoirs',
        'Mr Bedfort'                 => 'Mr Bedfort',
        'Mr Dafoe'                   => 'Mr Dafoe',
        'Mr De Haviland'             => 'Mr De Haviland',
        'Mrs Saint Delafield'        => 'Mrs Saint Delafield',
        'Mrs Sheppards'              => 'Mrs Sheppards',
        'Ms Madi'                    => 'Ms Madi',
        'Mukta Mahee'                => 'Mukta Mahee',
        'Mukta Malar'                => 'Mukta Malar',
        'Mukta Vaani'                => 'Mukta Vaani',
        'Mukta'                      => 'Mukta',
        'Muli'                       => 'Muli',
        'Mulish'                     => 'Mulish',
        'Mystery Quest'              => 'Mystery Quest',
        'NTR'                        => 'NTR',
        'Nanum Brush Script'         => 'Nanum Brush Script',
        'Nanum Gothic Coding'        => 'Nanum Gothic Coding',
        'Nanum Gothic'               => 'Nanum Gothic',
        'Nanum Myeongjo'             => 'Nanum Myeongjo',
        'Nanum Pen Script'           => 'Nanum Pen Script',
        'Neucha'                     => 'Neucha',
        'Neuton'                     => 'Neuton',
        'New Rocker'                 => 'New Rocker',
        'News Cycle'                 => 'News Cycle',
        'Niconne'                    => 'Niconne',
        'Nixie One'                  => 'Nixie One',
        'Nobile'                     => 'Nobile',
        'Nokora'                     => 'Nokora',
        'Norican'                    => 'Norican',
        'Nosifer'                    => 'Nosifer',
        'Nothing You Could Do'       => 'Nothing You Could Do',
        'Noticia Text'               => 'Noticia Text',
        'Noto Sans'                  => 'Noto Sans',
        'Noto Serif Khojki'          => 'Noto Serif Khojki',
        'Noto Serif Oriya'           => 'Noto Serif Oriya',
        'Noto Serif Toto'            => 'Noto Serif Toto',
        'Noto Serif'                 => 'Noto Serif',
        'Nova Cut'                   => 'Nova Cut',
        'Nova Flat'                  => 'Nova Flat',
        'Nova Mono'                  => 'Nova Mono',
        'Nova Oval'                  => 'Nova Oval',
        'Nova Round'                 => 'Nova Round',
        'Nova Script'                => 'Nova Script',
        'Nova Slim'                  => 'Nova Slim',
        'Nova Square'                => 'Nova Square',
        'Numans'                     => 'Numans',
        'Nunito Sans'                => 'Nunito Sans',
        'Nunito'                     => 'Nunito',
        'Odor Mean Chey'             => 'Odor Mean Chey',
        'Offside'                    => 'Offside',
        'Old Standard TT'            => 'Old Standard TT',
        'Oldenburg'                  => 'Oldenburg',
        'Oleo Script Swash Caps'     => 'Oleo Script Swash Caps',
        'Oleo Script'                => 'Oleo Script',
        'Open Sans Condensed'        => 'Open Sans Condensed',
        'Open Sans'                  => 'Open Sans',
        'Oranienbaum'                => 'Oranienbaum',
        'Orbitron'                   => 'Orbitron',
        'Oregano'                    => 'Oregano',
        'Orienta'                    => 'Orienta',
        'Original Surfer'            => 'Original Surfer',
        'Oswald'                     => 'Oswald',
        'Outfit'                     => 'Outfit',
        'Over the Rainbow'           => 'Over the Rainbow',
        'Overlock SC'                => 'Overlock SC',
        'Overlock'                   => 'Overlock',
        'Overpass Mono'              => 'Overpass Mono',
        'Overpass'                   => 'Overpass',
        'Ovo'                        => 'Ovo',
        'Oxygen Mono'                => 'Oxygen Mono',
        'Oxygen'                     => 'Oxygen',
        'PT Mono'                    => 'PT Mono',
        'PT Sans Caption'            => 'PT Sans Caption',
        'PT Sans Narrow'             => 'PT Sans Narrow',
        'PT Sans'                    => 'PT Sans',
        'PT Serif Caption'           => 'PT Serif Caption',
        'PT Serif'                   => 'PT Serif',
        'Pacifico'                   => 'Pacifico',
        'Padauk'                     => 'Padauk',
        'Palanquin Dark'             => 'Palanquin Dark',
        'Palanquin'                  => 'Palanquin',
        'Pangolin'                   => 'Pangolin',
        'Paprika'                    => 'Paprika',
        'Parisienne'                 => 'Parisienne',
        'Passero One'                => 'Passero One',
        'Passion One'                => 'Passion One',
        'Pathway Gothic One'         => 'Pathway Gothic One',
        'Patrick Hand SC'            => 'Patrick Hand SC',
        'Patrick Hand'               => 'Patrick Hand',
        'Pattaya'                    => 'Pattaya',
        'Patua One'                  => 'Patua One',
        'Pavanam'                    => 'Pavanam',
        'Paytone One'                => 'Paytone One',
        'Peddana'                    => 'Peddana',
        'Peralta'                    => 'Peralta',
        'Permanent Marker'           => 'Permanent Marker',
        'Petit Formal Script'        => 'Petit Formal Script',
        'Petrona'                    => 'Petrona',
        'Philosopher'                => 'Philosopher',
        'Piedra'                     => 'Piedra',
        'Pinyon Script'              => 'Pinyon Script',
        'Pirata One'                 => 'Pirata One',
        'Plaster'                    => 'Plaster',
        'Play'                       => 'Play',
        'Playball'                   => 'Playball',
        'Playfair Display SC'        => 'Playfair Display SC',
        'Playfair Display'           => 'Playfair Display',
        'Plus Jakarta Sans'          => 'Plus Jakarta Sans',
        'Podkova'                    => 'Podkova',
        'Poiret One'                 => 'Poiret One',
        'Poller One'                 => 'Poller One',
        'Poly'                       => 'Poly',
        'Pompiere'                   => 'Pompiere',
        'Pontano Sans'               => 'Pontano Sans',
        'Poppins'                    => 'Poppins',
        'Port Lligat Sans'           => 'Port Lligat Sans',
        'Port Lligat Slab'           => 'Port Lligat Slab',
        'Pragati Narrow'             => 'Pragati Narrow',
        'Prata'                      => 'Prata',
        'Preahvihear'                => 'Preahvihear',
        'Press Start 2P'             => 'Press Start 2P',
        'Pridi'                      => 'Pridi',
        'Princess Sofia'             => 'Princess Sofia',
        'Prociono'                   => 'Prociono',
        'Prompt'                     => 'Prompt',
        'Prosto One'                 => 'Prosto One',
        'Proza Libre'                => 'Proza Libre',
        'Puritan'                    => 'Puritan',
        'Purple Purse'               => 'Purple Purse',
        'Quando'                     => 'Quando',
        'Quantico'                   => 'Quantico',
        'Quattrocento Sans'          => 'Quattrocento Sans',
        'Quattrocento'               => 'Quattrocento',
        'Questrial'                  => 'Questrial',
        'Quicksand'                  => 'Quicksand',
        'Quintessential'             => 'Quintessential',
        'Qwigley'                    => 'Qwigley',
        'Racing Sans One'            => 'Racing Sans One',
        'Radley'                     => 'Radley',
        'Rajdhani'                   => 'Rajdhani',
        'Rakkas'                     => 'Rakkas',
        'Raleway Dots'               => 'Raleway Dots',
        'Raleway'                    => 'Raleway',
        'Ramabhadra'                 => 'Ramabhadra',
        'Ramaraja'                   => 'Ramaraja',
        'Rambla'                     => 'Rambla',
        'Rammetto One'               => 'Rammetto One',
        'Ranchers'                   => 'Ranchers',
        'Rancho'                     => 'Rancho',
        'Ranga'                      => 'Ranga',
        'Rasa'                       => 'Rasa',
        'Rationale'                  => 'Rationale',
        'Ravi Prakash'               => 'Ravi Prakash',
        'Redressed'                  => 'Redressed',
        'Reem Kufi'                  => 'Reem Kufi',
        'Reenie Beanie'              => 'Reenie Beanie',
        'Revalia'                    => 'Revalia',
        'Rhodium Libre'              => 'Rhodium Libre',
        'Ribeye Marrow'              => 'Ribeye Marrow',
        'Ribeye'                     => 'Ribeye',
        'Righteous'                  => 'Righteous',
        'Risque'                     => 'Risque',
        'Roboto Condensed'           => 'Roboto Condensed',
        'Roboto Mono'                => 'Roboto Mono',
        'Roboto Serif'               => 'Roboto Serif',
        'Roboto Slab'                => 'Roboto Slab',
        'Roboto'                     => 'Roboto',
        'Rochester'                  => 'Rochester',
        'Rock Salt'                  => 'Rock Salt',
        'Rokkitt'                    => 'Rokkitt',
        'Romanesco'                  => 'Romanesco',
        'Ropa Sans'                  => 'Ropa Sans',
        'Rosario'                    => 'Rosario',
        'Rosarivo'                   => 'Rosarivo',
        'Rouge Script'               => 'Rouge Script',
        'Rozha One'                  => 'Rozha One',
        'Rubik Mono One'             => 'Rubik Mono One',
        'Rubik'                      => 'Rubik',
        'Ruda'                       => 'Ruda',
        'Rufina'                     => 'Rufina',
        'Ruge Boogie'                => 'Ruge Boogie',
        'Ruluko'                     => 'Ruluko',
        'Rum Raisin'                 => 'Rum Raisin',
        'Ruslan Display'             => 'Ruslan Display',
        'Russo One'                  => 'Russo One',
        'Ruthie'                     => 'Ruthie',
        'Rye'                        => 'Rye',
        'Sacramento'                 => 'Sacramento',
        'Sahitya'                    => 'Sahitya',
        'Sail'                       => 'Sail',
        'Saira Condensed'            => 'Saira Condensed',
        'Saira Extra Condensed'      => 'Saira Extra Condensed',
        'Saira Semi Condensed'       => 'Saira Semi Condensed',
        'Saira'                      => 'Saira',
        'Salsa'                      => 'Salsa',
        'Sanchez'                    => 'Sanchez',
        'Sancreek'                   => 'Sancreek',
        'Sansita One'                => 'Sansita One',
        'Sarala'                     => 'Sarala',
        'Sarina'                     => 'Sarina',
        'Sarpanch'                   => 'Sarpanch',
        'Satisfy'                    => 'Satisfy',
        'Scada'                      => 'Scada',
        'Scheherazade'               => 'Scheherazade',
        'Schoolbell'                 => 'Schoolbell',
        'Scope One'                  => 'Scope One',
        'Seaweed Script'             => 'Seaweed Script',
        'Secular One'                => 'Secular One',
        'Sedgwick Ave Display'       => 'Sedgwick Ave Display',
        'Sedgwick Ave'               => 'Sedgwick Ave',
        'Sevillana'                  => 'Sevillana',
        'Seymour One'                => 'Seymour One',
        'Shadows Into Light Two'     => 'Shadows Into Light Two',
        'Shadows Into Light'         => 'Shadows Into Light',
        'Share Tech Mono'            => 'Share Tech Mono',
        'Share Tech'                 => 'Share Tech',
        'Share'                      => 'Share',
        'Shojumaru'                  => 'Shojumaru',
        'Short Stack'                => 'Short Stack',
        'Shrikhand'                  => 'Shrikhand',
        'Siemreap'                   => 'Siemreap',
        'Sigmar One'                 => 'Sigmar One',
        'Signika Negative'           => 'Signika Negative',
        'Signika'                    => 'Signika',
        'Simonetta'                  => 'Simonetta',
        'Sintony'                    => 'Sintony',
        'Sirin Stencil'              => 'Sirin Stencil',
        'Six Caps'                   => 'Six Caps',
        'Skranji'                    => 'Skranji',
        'Slabo 13px'                 => 'Slabo 13px',
        'Slabo 27px'                 => 'Slabo 27px',
        'Slackey'                    => 'Slackey',
        'Smokum'                     => 'Smokum',
        'Smythe'                     => 'Smythe',
        'Sniglet'                    => 'Sniglet',
        'Snippet'                    => 'Snippet',
        'Snowburst One'              => 'Snowburst One',
        'Sofadi One'                 => 'Sofadi One',
        'Sofia Sans Condensed'       => 'Sofia Sans Condensed',
        'Sofia Sans Extra Condensed' => 'Sofia Sans Extra Condensed',
        'Sofia'                      => 'Sofia',
        'Sonsie One'                 => 'Sonsie One',
        'Sorts Mill Goudy'           => 'Sorts Mill Goudy',
        'Source Code Pro'            => 'Source Code Pro',
        'Source Sans Pro'            => 'Source Sans Pro',
        'Source Serif Pro'           => 'Source Serif Pro',
        'Space Grotesk'              => 'Space Grotesk',
        'Space Mono'                 => 'Space Mono',
        'Special Elite'              => 'Special Elite',
        'Spectral SC'                => 'Spectral SC',
        'Spectral'                   => 'Spectral',
        'Spicy Rice'                 => 'Spicy Rice',
        'Spinnaker'                  => 'Spinnaker',
        'Spirax'                     => 'Spirax',
        'Squada One'                 => 'Squada One',
        'Square Peg'                 => 'Square Peg',
        'Sree Krushnadevaraya'       => 'Sree Krushnadevaraya',
        'Sriracha'                   => 'Sriracha',
        'Stalemate'                  => 'Stalemate',
        'Stalinist One'              => 'Stalinist One',
        'Stardos Stencil'            => 'Stardos Stencil',
        'Stint Ultra Condensed'      => 'Stint Ultra Condensed',
        'Stint Ultra Expanded'       => 'Stint Ultra Expanded',
        'Stoke'                      => 'Stoke',
        'Strait'                     => 'Strait',
        'Sue Ellen Francisco'        => 'Sue Ellen Francisco',
        'Suez One'                   => 'Suez One',
        'Sumana'                     => 'Sumana',
        'Sunshiney'                  => 'Sunshiney',
        'Supermercado One'           => 'Supermercado One',
        'Sura'                       => 'Sura',
        'Suranna'                    => 'Suranna',
        'Suravaram'                  => 'Suravaram',
        'Suwannaphum'                => 'Suwannaphum',
        'Swanky and Moo Moo'         => 'Swanky and Moo Moo',
        'Syncopate'                  => 'Syncopate',
        'Syne'                       => 'Syne',
        'Tangerine'                  => 'Tangerine',
        'Taprom'                     => 'Taprom',
        'Tauri'                      => 'Tauri',
        'Taviraj'                    => 'Taviraj',
        'Teko'                       => 'Teko',
        'Telex'                      => 'Telex',
        'Tenali Ramakrishna'         => 'Tenali Ramakrishna',
        'Tenor Sans'                 => 'Tenor Sans',
        'Text Me One'                => 'Text Me One',
        'The Girl Next Door'         => 'The Girl Next Door',
        'Tienne'                     => 'Tienne',
        'Tillana'                    => 'Tillana',
        'Tilt Neon'                  => 'Tilt Neon',
        'Tilt Warp'                  => 'Tilt Warp',
        'Timmana'                    => 'Timmana',
        'Tinos'                      => 'Tinos',
        'Titan One'                  => 'Titan One',
        'Titillium Web'              => 'Titillium Web',
        'Trade Winds'                => 'Trade Winds',
        'Trirong'                    => 'Trirong',
        'Trocchi'                    => 'Trocchi',
        'Trochut'                    => 'Trochut',
        'Trykker'                    => 'Trykker',
        'Tulpen One'                 => 'Tulpen One',
        'Ubuntu Condensed'           => 'Ubuntu Condensed',
        'Ubuntu Mono'                => 'Ubuntu Mono',
        'Ubuntu'                     => 'Ubuntu',
        'Ultra'                      => 'Ultra',
        'Uncial Antiqua'             => 'Uncial Antiqua',
        'Underdog'                   => 'Underdog',
        'Unica One'                  => 'Unica One',
        'UnifrakturCook'             => 'UnifrakturCook',
        'UnifrakturMaguntia'         => 'UnifrakturMaguntia',
        'Unkempt'                    => 'Unkempt',
        'Unlock'                     => 'Unlock',
        'Unna'                       => 'Unna',
        'Updock'                     => 'Updock',
        'Urbanist'                   => 'Urbanist',
        'VT323'                      => 'VT323',
        'Vampiro One'                => 'Vampiro One',
        'Varela Round'               => 'Varela Round',
        'Varela'                     => 'Varela',
        'Vast Shadow'                => 'Vast Shadow',
        'Vesper Libre'               => 'Vesper Libre',
        'Vibur'                      => 'Vibur',
        'Vidaloka'                   => 'Vidaloka',
        'Viga'                       => 'Viga',
        'Voces'                      => 'Voces',
        'Volkhov'                    => 'Volkhov',
        'Vollkorn'                   => 'Vollkorn',
        'Voltaire'                   => 'Voltaire',
        'Waiting for the Sunrise'    => 'Waiting for the Sunrise',
        'Wallpoet'                   => 'Wallpoet',
        'Walter Turncoat'            => 'Walter Turncoat',
        'Warnes'                     => 'Warnes',
        'Wellfleet'                  => 'Wellfleet',
        'Wendy One'                  => 'Wendy One',
        'Whisper'                    => 'Whisper',
        'Wire One'                   => 'Wire One',
        'Work Sans'                  => 'Work Sans',
        'Yanone Kaffeesatz'          => 'Yanone Kaffeesatz',
        'Yantramanav'                => 'Yantramanav',
        'Yatra One'                  => 'Yatra One',
        'Yellowtail'                 => 'Yellowtail',
        'Yeseva One'                 => 'Yeseva One',
        'Yesteryear'                 => 'Yesteryear',
        'Yrsa'                       => 'Yrsa',
        'Zeyada'                     => 'Zeyada',
        'Zilla Slab Highlight'       => 'Zilla Slab Highlight',
        'Zilla Slab'                 => 'Zilla Slab',
      );

      return $swm_google_font_families;

    }
}
if ( ! function_exists( 'swm_google_fonts_weight' ) ) {
    function swm_google_fonts_weight() {

      $swm_google_fonts_weight = array(
        'ABeeZee' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Abel' => array(
          0 => '400',
        ),
        'Abhaya Libre' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800'
        ),
        'Abril Fatface' => array(
          0 => '400',
        ),
        'Aclonica' => array(
          0 => '400',
        ),
        'Acme' => array(
          0 => '400',
        ),
        'Actor' => array(
          0 => '400',
        ),
        'Adamina' => array(
          0 => '400',
        ),
        'Advent Pro' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
        ),
        'Aguafina Script' => array(
          0 => '400',
        ),
        'Akshar' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700',
        ),
        'Akronim' => array(
          0 => '400',
        ),
        'Aladin' => array(
          0 => '400',
        ),
        'Aldrich' => array(
          0 => '400',
        ),
        'Alef' => array(
          0 => '400',
          1 => '700',
        ),
        'Alegreya' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
          4 => '900',
          5 => '900italic',
        ),
        'Alegreya SC' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
          4 => '900',
          5 => '900italic',
        ),
        'Alegreya Sans' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '700',
          9 => '700italic',
          10 => '800',
          11 => '800italic',
          12 => '900',
          13 => '900italic',
        ),
        'Alegreya Sans SC' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '700',
          9 => '700italic',
          10 => '800',
          11 => '800italic',
          12 => '900',
          13 => '900italic',
        ),
        'Alex Brush' => array(
          0 => '400',
        ),
        'Alfa Slab One' => array(
          0 => '400',
        ),
        'Alice' => array(
          0 => '400',
        ),
        'Alike' => array(
          0 => '400',
        ),
        'Alike Angular' => array(
          0 => '400',
        ),
        'Allan' => array(
          0 => '400',
          1 => '700',
        ),
        'Allerta' => array(
          0 => '400',
        ),
        'Allerta Stencil' => array(
          0 => '400',
        ),
        'Allura' => array(
          0 => '400',
        ),
        'Almendra' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Almendra Display' => array(
          0 => '400',
        ),
        'Almendra SC' => array(
          0 => '400',
        ),
        'Amarante' => array(
          0 => '400',
        ),
        'Amaranth' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Amatic SC' => array(
          0 => '400',
          1 => '700',
        ),
        'Amethysta' => array(
          0 => '400',
        ),
        'Amiko' => array(
          0 => '400',
          1 => '600',
          2 => '700'
        ),
        'Amiri' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic'
        ),
       'Amita' => array(
          0 => '400',
          1 => '700'
        ),
        'Anaheim' => array(
          0 => '400',
        ),
        'Andada' => array(
          0 => '400',
        ),
        'Andika' => array(
          0 => '400',
        ),
        'Angkor' => array(
          0 => '400',
        ),
        'Annie Use Your Telescope' => array(
          0 => '400',
        ),
        'Anonymous Pro' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Antic' => array(
          0 => '400',
        ),
        'Antic Didone' => array(
          0 => '400',
        ),
        'Antic Slab' => array(
          0 => '400',
        ),
        'Anton' => array(
          0 => '400',
        ),
        'Arapey' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Arbutus' => array(
          0 => '400',
        ),
        'Arbutus Slab' => array(
          0 => '400',
        ),
        'Architects Daughter' => array(
          0 => '400',
        ),
        'Archivo' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic'
        ),
        'Archivo Black' => array(
          0 => '400',
        ),
        'Archivo Narrow' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Aref Ruqaa' => array(
          0 => '400',
          1 => '700'
        ),
        'Arima Madurai' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '700',
          6 => '800',
          7 => '900'
        ),
        'Arimo' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Arizonia' => array(
          0 => '400',
        ),
        'Armata' => array(
          0 => '400',
        ),
        'Arsenal' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic'
        ),
        'Artifika' => array(
          0 => '400',
        ),
        'Arvo' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Arya' => array(
          0 => '400',
          1 => '700'
        ),
        'Asap' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Asar' => array(
          0 => '400'
        ),
        'Asset' => array(
          0 => '400',
        ),
        'Assistant' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '600',
          4 => '700',
          5 => '800'
        ),
        'Astloch' => array(
          0 => '400',
          1 => '700',
        ),
        'Asul' => array(
          0 => '400',
          1 => '700',
        ),
        'Athiti' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700'
        ),
        'Atma' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Atomic Age' => array(
          0 => '400',
        ),
        'Aubrey' => array(
          0 => '400',
        ),
        'Audiowide' => array(
          0 => '400',
        ),
        'Autour One' => array(
          0 => '400',
        ),
        'Average' => array(
          0 => '400',
        ),
        'Average Sans' => array(
          0 => '400',
        ),
        'Averia Gruesa Libre' => array(
          0 => '400',
        ),
        'Averia Libre' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
        ),
        'Averia Sans Libre' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
        ),
        'Averia Serif Libre' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
        ),
        'Bad Script' => array(
          0 => '400',
        ),
         'Bahiana' => array(
          0 => '400'
        ),
        'Baloo' => array(
          0 => '400'
        ),
        'Baloo Bhai' => array(
          0 => '400'
        ),
        'Baloo Bhaijaan' => array(
          0 => '400'
        ),
        'Baloo Bhaina' => array(
          0 => '400'
        ),
        'Baloo Chettan' => array(
          0 => '400'
        ),
        'Baloo Da' => array(
          0 => '400'
        ),
        'Baloo Paaji' => array(
          0 => '400'
        ),
        'Baloo Tamma' => array(
          0 => '400'
        ),
        'Baloo Tammudu' => array(
          0 => '400'
        ),
        'Baloo Thambi' => array(
          0 => '400'
        ),
        'Balthazar' => array(
          0 => '400',
        ),
        'Bangers' => array(
          0 => '400',
        ),
        'Barlow' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Barlow Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Barlow Semi Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Barrio' => array(
          0 => '400'
        ),
        'Basic' => array(
          0 => '400',
        ),
        'Battambang' => array(
          0 => '400',
          1 => '700',
        ),
        'Baumans' => array(
          0 => '400',
        ),
        'Bayon' => array(
          0 => '400',
        ),
        'Bebas Neue' => array(
          0 => '400',
        ),
        'Belgrano' => array(
          0 => '400',
        ),
        'Bellefair' => array(
          0 => '400'
        ),
        'Belleza' => array(
          0 => '400',
        ),
        'BenchNine' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Bentham' => array(
          0 => '400',
        ),
        'Berkshire Swash' => array(
          0 => '400',
        ),
        'Bevan' => array(
          0 => '400',
        ),
        'Bigelow Rules' => array(
          0 => '400',
        ),
        'Bigshot One' => array(
          0 => '400',
        ),
        'Big Shoulders Text' => array(
            0 => '100',
            1 => '200',
            2 => '300',
            3 => '400',
            4 => '500',
            5 => '600',
            6 => '700',
            7 => '800',
            8 => '900'
        ),
        'Bilbo' => array(
          0 => '400',
        ),
        'Bilbo Swash Caps' => array(
          0 => '400',
        ),
        'BioRhyme' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '700',
          4 => '800'
        ),
        'BioRhyme Expanded' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '700',
          4 => '800'
        ),
        'Biryani' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '600',
          4 => '700',
          5 => '800',
          6 => '900'
        ),
        'Bitter' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Black Ops One' => array(
          0 => '400',
        ),
        'Bokor' => array(
          0 => '400',
        ),
        'Bona Nova' => array(
          0 => '400',
          1 => '400italic',
          2 => '700'
        ),
        'Bonbon' => array(
          0 => '400',
        ),
        'Boogaloo' => array(
          0 => '400',
        ),
        'Bowlby One' => array(
          0 => '400',
        ),
        'Bowlby One SC' => array(
          0 => '400',
        ),
        'Brawler' => array(
          0 => '400',
        ),
        'Bree Serif' => array(
          0 => '400',
        ),
        'Bubblegum Sans' => array(
          0 => '400',
        ),
        'Bubbler One' => array(
          0 => '400',
        ),
        'Buda' => array(
          0 => '300',
        ),
        'Buenard' => array(
          0 => '400',
          1 => '700',
        ),
        'Bungee' => array(
          0 => '400'
        ),
        'Bungee Hairline' => array(
          0 => '400'
        ),
        'Bungee Inline' => array(
          0 => '400'
        ),
        'Bungee Outline' => array(
          0 => '400'
        ),
        'Bungee Shade' => array(
          0 => '400'
        ),
        'Butcherman' => array(
          0 => '400',
        ),
        'Butterfly Kids' => array(
          0 => '400',
        ),
        'Cabin' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic',
        ),
        'Cabin Condensed' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
        ),
        'Cabin Sketch' => array(
          0 => '400',
          1 => '700',
        ),
        'Caesar Dressing' => array(
          0 => '400',
        ),
        'Cagliostro' => array(
          0 => '400',
        ),
        'Cairo' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '600',
          4 => '700',
          5 => '900'
        ),
        'Calligraffitti' => array(
          0 => '400',
        ),
        'Cambay' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic'
        ),
        'Cambo' => array(
          0 => '400',
        ),
        'Candal' => array(
          0 => '400',
        ),
        'Cantarell' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Cantata One' => array(
          0 => '400',
        ),
        'Cantora One' => array(
          0 => '400',
        ),
        'Capriola' => array(
          0 => '400',
        ),
        'Cardo' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Carme' => array(
          0 => '400',
        ),
        'Carrois Gothic' => array(
          0 => '400',
        ),
        'Carrois Gothic SC' => array(
          0 => '400',
        ),
        'Carter One' => array(
          0 => '400',
        ),
        'Catamaran' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Caudex' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Caveat' => array(
          0 => '400',
          2 => '700',
        ),
        'Caveat Brush' => array(
          0 => '400'
        ),
        'Cedarville Cursive' => array(
          0 => '400',
        ),
        'Ceviche One' => array(
          0 => '400',
        ),
        'Changa' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800'
        ),
        'Changa One' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Chango' => array(
          0 => '400',
        ),
        'Chathura' => array(
          0 => '100',
          1 => '300',
          2 => '400',
          3 => '700',
          4 => '800'
        ),
        'Chau Philomene One' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Chela One' => array(
          0 => '400',
        ),
        'Chelsea Market' => array(
          0 => '400',
        ),
        'Chenla' => array(
          0 => '400',
        ),
        'Cherry Cream Soda' => array(
          0 => '400',
        ),
        'Cherry Swash' => array(
          0 => '400',
          1 => '700',
        ),
        'Chewy' => array(
          0 => '400',
        ),
        'Chicle' => array(
          0 => '400',
        ),
        'Chivo' => array(
          0 => '400',
          1 => '400italic',
          2 => '900',
          3 => '900italic',
        ),
        'Chonburi' => array(
          0 => '400'
        ),
        'Cinzel' => array(
          0 => '400',
          1 => '700',
          2 => '900',
        ),
        'Cinzel Decorative' => array(
          0 => '400',
          1 => '700',
          2 => '900',
        ),
        'Clicker Script' => array(
          0 => '400',
        ),
        'Coda' => array(
          0 => '400',
          1 => '800',
        ),
        'Coda Caption' => array(
          0 => '800',
        ),
        'Codystar' => array(
          0 => '300',
          1 => '400',
        ),
        'Coiny' => array(
          0 => '400'
        ),
        'Combo' => array(
          0 => '400',
        ),
        'Comfortaa' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Coming Soon' => array(
          0 => '400',
        ),
        'Concert One' => array(
          0 => '400',
        ),
        'Condiment' => array(
          0 => '400',
        ),
        'Content' => array(
          0 => '400',
          1 => '700',
        ),
        'Contrail One' => array(
          0 => '400',
        ),
        'Convergence' => array(
          0 => '400',
        ),
        'Cookie' => array(
          0 => '400',
        ),
        'Copse' => array(
          0 => '400',
        ),
        'Corben' => array(
          0 => '400',
          1 => '700',
        ),
        'Cormorant' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic'
        ),
        'Cormorant Garamond' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic'
        ),
        'Cormorant Infant' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic'
        ),
        'Cormorant SC' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Cormorant Unicase' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Cormorant Upright' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Courgette' => array(
          0 => '400',
        ),
        'Cousine' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Coustard' => array(
          0 => '400',
          1 => '900',
        ),
        'Covered By Your Grace' => array(
          0 => '400',
        ),
        'Crafty Girls' => array(
          0 => '400',
        ),
        'Creepster' => array(
          0 => '400',
        ),
        'Crete Round' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Crimson Text' => array(
          0 => '400',
          1 => '400italic',
          2 => '600',
          3 => '600italic',
          4 => '700',
          5 => '700italic',
        ),
        'Croissant One' => array(
          0 => '400',
        ),
        'Crushed' => array(
          0 => '400',
        ),
        'Cuprum' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Cutive' => array(
          0 => '400',
        ),
        'Cutive Mono' => array(
          0 => '400',
        ),
        'Damion' => array(
          0 => '400',
        ),
        'Dancing Script' => array(
          0 => '400',
          1 => '700',
        ),
        'Dangrek' => array(
          0 => '400',
        ),
        'David Libre' => array(
          0 => '400',
          1 => '500',
          2 => '700'
        ),
        'Dawning of a New Day' => array(
          0 => '400',
        ),
        'Days One' => array(
          0 => '400',
        ),
        'Dekko' => array(
          0 => '400'
        ),
        'Delius' => array(
          0 => '400',
        ),
        'Delius Swash Caps' => array(
          0 => '400',
        ),
        'Delius Unicase' => array(
          0 => '400',
          1 => '700',
        ),
        'Della Respira' => array(
          0 => '400',
        ),
        'Denk One' => array(
          0 => '400',
        ),
        'Devonshire' => array(
          0 => '400',
        ),
        'Dhurjati' => array(
          0 => '400'
        ),
        'Didact Gothic' => array(
          0 => '400',
        ),
        'Diplomata' => array(
          0 => '400',
        ),
        'Diplomata SC' => array(
          0 => '400',
        ),
        'DM Sans' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '700',
          5 => '700italic',
        ),
        'Domine' => array(
          0 => '400',
          1 => '700',
        ),
        'Donegal One' => array(
          0 => '400',
        ),
        'Doppio One' => array(
          0 => '400',
        ),
        'Dorsa' => array(
          0 => '400',
        ),
        'Dosis' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800',
        ),
        'Dr Sugiyama' => array(
          0 => '400',
        ),
        'Droid Sans' => array(
          0 => '400',
          1 => '700',
        ),
        'Droid Sans Mono' => array(
          0 => '400',
        ),
        'Droid Serif' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Duru Sans' => array(
          0 => '400',
        ),
        'Dynalight' => array(
          0 => '400',
        ),
        'EB Garamond' => array(
          0 => '400',
        ),
        'Eagle Lake' => array(
          0 => '400',
        ),
        'Eater' => array(
          0 => '400',
        ),
        'Economica' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Eczar' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800'
        ),
        'El Messiri' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700'
        ),
        'Electrolize' => array(
          0 => '400',
        ),
        'Elsie' => array(
          0 => '400',
          1 => '900',
        ),
        'Elsie Swash Caps' => array(
          0 => '400',
          1 => '900',
        ),
        'Emblema One' => array(
          0 => '400',
        ),
        'Emilys Candy' => array(
          0 => '400',
        ),
        'Encode Sans' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Encode Sans Condensed' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Encode Sans Expanded' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Encode Sans Semi Condensed' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Encode Sans Semi Expanded' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Engagement' => array(
          0 => '400',
        ),
        'Englebert' => array(
          0 => '400',
        ),
        'Enriqueta' => array(
          0 => '400',
          1 => '700',
        ),
        'Erica One' => array(
          0 => '400',
        ),
        'Esteban' => array(
          0 => '400',
        ),
        'Euphoria Script' => array(
          0 => '400',
        ),
        'Ewert' => array(
          0 => '400',
        ),
        'Exo' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic',
        ),
        'Exo 2' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic',
        ),
        'Expletus Sans' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic',
        ),
        'Fanwood Text' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Farsan' => array(
          0 => '400'
        ),
        'Fascinate' => array(
          0 => '400',
        ),
        'Fascinate Inline' => array(
          0 => '400',
        ),
        'Faster One' => array(
          0 => '400',
        ),
        'Fasthand' => array(
          0 => '400',
        ),
        'Fauna One' => array(
          0 => '400',
        ),
        'Faustina' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic'
        ),
        'Federant' => array(
          0 => '400',
        ),
        'Federo' => array(
          0 => '400',
        ),
        'Felipa' => array(
          0 => '400',
        ),
        'Fenix' => array(
          0 => '400',
        ),
        'Figtree' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
          10 => '800',
          11 => '800italic',
          12 => '900',
          13 => '900italic'
        ),
        'Finger Paint' => array(
          0 => '400',
        ),
        'Fira Mono' => array(
          0 => '400',
          1 => '500',
          2 => '700'
        ),
        'Fira Sans' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Fira Sans Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Fira Sans Extra Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Fjalla One' => array(
          0 => '400',
        ),
        'Fjord One' => array(
          0 => '400',
        ),
        'Flamenco' => array(
          0 => '300',
          1 => '400',
        ),
        'Flavors' => array(
          0 => '400',
        ),
        'Fondamento' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Fontdiner Swanky' => array(
          0 => '400',
        ),
        'Forum' => array(
          0 => '400',
        ),
        'Francois One' => array(
          0 => '400',
        ),
        'Frank Ruhl Libre' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '700',
          4 => '900'
        ),
        'Freckle Face' => array(
          0 => '400',
        ),
        'Fredericka the Great' => array(
          0 => '400',
        ),
        'Fredoka' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700',
        ),
        'Fredoka One' => array(
          0 => '400',
        ),
        'Freehand' => array(
          0 => '400',
        ),
        'Fresca' => array(
          0 => '400',
        ),
        'Frijole' => array(
          0 => '400',
        ),
        'Fruktur' => array(
          0 => '400',
        ),
        'Fugaz One' => array(
          0 => '400',
        ),
        'GFS Didot' => array(
          0 => '400',
        ),
        'GFS Neohellenic' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Gabriela' => array(
          0 => '400',
        ),
        'Gaegu' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Gafata' => array(
          0 => '400',
        ),
        'Galada' => array(
          0 => '400'
        ),
        'Galdeano' => array(
          0 => '400',
        ),
        'Galindo' => array(
          0 => '400',
        ),
        'Gentium Basic' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Gentium Book Basic' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Geo' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Geostar' => array(
          0 => '400',
        ),
        'Geostar Fill' => array(
          0 => '400',
        ),
        'Germania One' => array(
          0 => '400',
        ),
        'Gidugu' => array(
          0 => '400'
        ),
        'Gilda Display' => array(
          0 => '400',
        ),
        'Give You Glory' => array(
          0 => '400',
        ),
        'Glass Antiqua' => array(
          0 => '400',
        ),
        'Glegoo' => array(
          0 => '400',
        ),
        'Gloock' => array(
          0 => '400'
        ),
        'Gloria Hallelujah' => array(
          0 => '400',
        ),
        'Goblin One' => array(
          0 => '400',
        ),
        'Gochi Hand' => array(
          0 => '400',
        ),
        'Golos Text' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800',
          5 => '900',
        ),
        'Gorditas' => array(
          0 => '400',
          1 => '700',
        ),
        'Goudy Bookletter 1911' => array(
          0 => '400',
        ),
        'Graduate' => array(
          0 => '400',
        ),
        'Grand Hotel' => array(
          0 => '400',
        ),
        'Gravitas One' => array(
          0 => '400',
        ),
        'Great Vibes' => array(
          0 => '400',
        ),
        'Griffy' => array(
          0 => '400',
        ),
        'Gruppo' => array(
          0 => '400',
        ),
        'Gudea' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Gurajada' => array(
          0 => '400'
        ),
        'Habibi' => array(
          0 => '400',
        ),
        'Halant' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Hammersmith One' => array(
          0 => '400',
        ),
        'Hanalei' => array(
          0 => '400',
        ),
        'Hanalei Fill' => array(
          0 => '400',
        ),
        'Handlee' => array(
          0 => '400',
        ),
        'Hanuman' => array(
          0 => '400',
          1 => '700',
        ),
        'Harmattan' => array(
          0 => '400'
        ),
        'Happy Monkey' => array(
          0 => '400',
        ),
        'Headland One' => array(
          0 => '400',
        ),
        'Heebo' => array(
          0 => '100',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '700',
          5 => '800',
          6 => '900'
        ),
        'Henny Penny' => array(
          0 => '400',
        ),
        'Herr Von Muellerhoff' => array(
          0 => '400',
        ),
        'Hind' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Hind Guntur' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Hind Madurai' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Hind Siliguri' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Hind Vadodara' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Holtwood One SC' => array(
          0 => '400',
        ),
        'Homemade Apple' => array(
          0 => '400',
        ),
        'Homenaje' => array(
          0 => '400',
        ),
        'IBM Plex Serif' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
        ),
        'IM Fell DW Pica' => array(
          0 => '400',
          1 => '400italic',
        ),
        'IM Fell DW Pica SC' => array(
          0 => '400',
        ),
        'IM Fell Double Pica' => array(
          0 => '400',
          1 => '400italic',
        ),
        'IM Fell Double Pica SC' => array(
          0 => '400',
        ),
        'IM Fell English' => array(
          0 => '400',
          1 => '400italic',
        ),
        'IM Fell English SC' => array(
          0 => '400',
        ),
        'IM Fell French Canon' => array(
          0 => '400',
          1 => '400italic',
        ),
        'IM Fell French Canon SC' => array(
          0 => '400',
        ),
        'IM Fell Great Primer' => array(
          0 => '400',
          1 => '400italic',
        ),
        'IM Fell Great Primer SC' => array(
          0 => '400',
        ),
        'Iceberg' => array(
          0 => '400',
        ),
        'Iceland' => array(
          0 => '400',
        ),
        'Imprima' => array(
          0 => '400',
        ),
        'Inconsolata' => array(
          0 => '400',
          1 => '700',
        ),
        'Inder' => array(
          0 => '400',
        ),
        'Indie Flower' => array(
          0 => '400',
        ),
        'Inika' => array(
          0 => '400',
          1 => '700',
        ),
        'Inknut Antiqua' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700',
          5 => '800',
          6 => '900'
        ),
        'Inter' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Inter Tight' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Irish Grover' => array(
          0 => '400',
        ),
        'Istok Web' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Italiana' => array(
          0 => '400',
        ),
        'Italianno' => array(
          0 => '400',
        ),
        'Itim' => array(
          0 => '400'
        ),
        'Jacques Francois' => array(
          0 => '400',
        ),
        'Jacques Francois Shadow' => array(
          0 => '400',
        ),
        'Jaldi' => array(
          0 => '400',
          1 => '700'
        ),
        'Jim Nightshade' => array(
          0 => '400',
        ),
        'Jockey One' => array(
          0 => '400',
        ),
        'Jolly Lodger' => array(
          0 => '400',
        ),
        'Jomhuria' => array(
          0 => '400'
        ),
        'Josefin Sans' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
        ),
        'Josefin Slab' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
        ),
        'Jost' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Joti One' => array(
          0 => '400',
        ),
        'Judson' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Jua' => array(
          0 => '400'
        ),
        'Julee' => array(
          0 => '400',
        ),
        'Julius Sans One' => array(
          0 => '400',
        ),
        'Junge' => array(
          0 => '400',
        ),
        'Jura' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600'
        ),
        'Just Another Hand' => array(
          0 => '400',
        ),
        'Just Me Again Down Here' => array(
          0 => '400',
        ),
        'Kadwa' => array(
          0 => '400',
          1 => '700'
        ),
        'Kalam' => array(
          0 => '300',
          1 => '400',
          2 => '700'
        ),
        'Kameron' => array(
          0 => '400',
          1 => '700',
        ),
        'Kanit' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Kantumruy' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Karla' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Karma' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Katibeh' => array(
          0 => '400'
        ),
        'Kaushan Script' => array(
          0 => '400',
        ),
        'Kavivanar' => array(
          0 => '400'
        ),
        'Kavoon' => array(
          0 => '400',
        ),
        'Kdam Thmor' => array(
          0 => '400',
        ),
        'Keania One' => array(
          0 => '400',
        ),
        'Kelly Slab' => array(
          0 => '400',
        ),
        'Kenia' => array(
          0 => '400',
        ),
        'Khand' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Khmer' => array(
          0 => '400',
        ),
        'Khula' => array(
          0 => '300',
          1 => '400',
          2 => '600',
          3 => '700',
          4 => '800'
        ),
        'Kite One' => array(
          0 => '400',
        ),
        'Knewave' => array(
          0 => '400',
        ),
        'Kotta One' => array(
          0 => '400',
        ),
        'Koulen' => array(
          0 => '400',
        ),
        'Kranky' => array(
          0 => '400',
        ),
        'Kreon' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Kristi' => array(
          0 => '400',
        ),
        'Krona One' => array(
          0 => '400',
        ),
        'Kumar One' => array(
          0 => '400'
        ),
        'Kumar One Outline' => array(
          0 => '400'
        ),
        'Kurale' => array(
          0 => '400'
        ),
        'La Belle Aurore' => array(
          0 => '400',
        ),
        'Labrada' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Laila' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Lakki Reddy' => array(
          0 => '400'
        ),
        'Lalezar' => array(
          0 => '400'
        ),
        'Lancelot' => array(
          0 => '400'
        ),
        'Lateef' => array(
          0 => '400'
        ),
        'Lancelot' => array(
          0 => '400',
        ),
        'Lato' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '700',
          7 => '700italic',
          8 => '900',
          9 => '900italic',
        ),
        'League Script' => array(
          0 => '400',
        ),
        'League Spartan' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900',
        ),
        'Leckerli One' => array(
          0 => '400',
        ),
        'Ledger' => array(
          0 => '400',
        ),
        'Lekton' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Lemon' => array(
          0 => '400',
        ),
        'Lemonada' => array(
          0 => '300',
          1 => '400',
          2 => '600',
          3 => '700'
        ),
        'Lexend' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900',
        ),
        'Libre Baskerville' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Libre Franklin' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Life Savers' => array(
          0 => '400',
          1 => '700',
        ),
        'Lilita One' => array(
          0 => '400',
        ),
        'Lily Script One' => array(
          0 => '400',
        ),
        'Limelight' => array(
          0 => '400',
        ),
        'Linden Hill' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Lobster' => array(
          0 => '400',
        ),
        'Lobster Two' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Londrina Outline' => array(
          0 => '400',
        ),
        'Londrina Shadow' => array(
          0 => '400',
        ),
        'Londrina Sketch' => array(
          0 => '400',
        ),
        'Londrina Solid' => array(
          0 => '400',
        ),
        'Lora' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Love Ya Like A Sister' => array(
          0 => '400',
        ),
        'Loved by the King' => array(
          0 => '400',
        ),
        'Lovers Quarrel' => array(
          0 => '400',
        ),
        'Luckiest Guy' => array(
          0 => '400',
        ),
        'Lusitana' => array(
          0 => '400',
          1 => '700',
        ),
        'Lustria' => array(
          0 => '400',
        ),
        'Macondo' => array(
          0 => '400',
        ),
        'Macondo Swash Caps' => array(
          0 => '400',
        ),
        'Mada' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '900'
        ),
        'Magra' => array(
          0 => '400',
          1 => '700',
        ),
        'Maiden Orange' => array(
          0 => '400',
        ),
        'Maitree' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700'
        ),
        'Mako' => array(
          0 => '400',
        ),
        'Mali' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700'
        ),
        'Mallanna' => array(
          0 => '400'
        ),
        'Mandali' => array(
          0 => '400'
        ),
        'Manrope' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800',
        ),
        'Manuale' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic'
        ),
        'Marcellus' => array(
          0 => '400',
        ),
        'Marcellus SC' => array(
          0 => '400',
        ),
        'Marck Script' => array(
          0 => '400',
        ),
        'Margarine' => array(
          0 => '400',
        ),
        'Marko One' => array(
          0 => '400',
        ),
        'Marmelad' => array(
          0 => '400',
        ),
        'Martel' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '600',
          4 => '700',
          5 => '800',
          6 => '900'
        ),
        'Martel Sans' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '600',
          4 => '700',
          5 => '800',
          6 => '900'
        ),
        'Marvel' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Mate' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Mate SC' => array(
          0 => '400',
        ),
        'Maven Pro' => array(
          0 => '400',
          1 => '500',
          2 => '700',
          3 => '900',
        ),
        'McLaren' => array(
          0 => '400',
        ),
        'Meddon' => array(
          0 => '400',
        ),
        'MedievalSharp' => array(
          0 => '400',
        ),
        'Medula One' => array(
          0 => '400',
        ),
        'Meera Inimai' => array(
          0 => '400'
        ),
        'Megrim' => array(
          0 => '400',
        ),
        'Meie Script' => array(
          0 => '400',
        ),
        'Merienda' => array(
          0 => '400',
          1 => '700',
        ),
        'Merienda One' => array(
          0 => '400',
        ),
        'Merriweather' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
          6 => '900',
          7 => '900italic',
        ),
        'Merriweather Sans' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
          6 => '800',
          7 => '800italic',
        ),
        'Metal' => array(
          0 => '400',
        ),
        'Metal Mania' => array(
          0 => '400',
        ),
        'Metamorphous' => array(
          0 => '400',
        ),
        'Metrophobic' => array(
          0 => '400',
        ),
        'Michroma' => array(
          0 => '400',
        ),
        'Milonga' => array(
          0 => '400',
        ),
        'Miltonian' => array(
          0 => '400',
        ),
        'Miltonian Tattoo' => array(
          0 => '400',
        ),
        'Miniver' => array(
          0 => '400',
        ),
        'Miriam Libre' => array(
          0 => '400',
          1 => '700'
        ),
        'Mirza' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700'
        ),
        'Miss Fajardose' => array(
          0 => '400',
        ),
        'Modern Antiqua' => array(
          0 => '400',
        ),
        'Mitr' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700'
        ),
        'Modak' => array(
          0 => '400'
        ),
        'Modern Antiqua' => array(
          0 => '400'
        ),
        'Mogra' => array(
          0 => '400'
        ),
        'Molengo' => array(
          0 => '400',
        ),
        'Molle' => array(
          0 => '400italic',
        ),
        'Monda' => array(
          0 => '400',
          1 => '700',
        ),
        'Monofett' => array(
          0 => '400',
        ),
        'Monoton' => array(
          0 => '400',
        ),
        'Monsieur La Doulaise' => array(
          0 => '400',
        ),
        'Montaga' => array(
          0 => '400',
        ),
        'Montez' => array(
          0 => '400',
        ),
        'Montserrat' => array(
          0 => '400',
          1 => '700',
        ),
        'Montserrat Alternates' => array(
          0 => '400',
          1 => '700',
        ),
        'Montserrat Subrayada' => array(
          0 => '400',
          1 => '700',
        ),
        'Moul' => array(
          0 => '400',
        ),
        'Moulpali' => array(
          0 => '400',
        ),
        'Mountains of Christmas' => array(
          0 => '400',
          1 => '700',
        ),
        'Mouse Memoirs' => array(
          0 => '400',
        ),
        'Mr Bedfort' => array(
          0 => '400',
        ),
        'Mr Dafoe' => array(
          0 => '400',
        ),
        'Mr De Haviland' => array(
          0 => '400',
        ),
        'Mrs Saint Delafield' => array(
          0 => '400',
        ),
        'Mrs Sheppards' => array(
          0 => '400',
        ),
        'Ms Madi' => array(
          0 => '400'
        ),
        'Mukta' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800'
        ),
        'Mukta Mahee' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800'
        ),
        'Mukta Malar' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800'
        ),
        'Mukta Vaani' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '800'
        ),
        'Muli' => array(
         0 => '200',
         1 => '200italic',
         2 => '300',
         3 => '300italic',
         4 => '400',
         5 => '400italic',
         6 => '600',
         7 => '600italic',
         8 => '700',
         9 => '700italic',
         10 => '800',
         11 => '800italic',
         12 => '900',
         13 => '900italic'
        ),
        'Mulish' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '600',
          9 => '600italic',
          10 => '700',
          11 => '700italic',
          12 => '800',
          13 => '800italic',
          14 => '900',
          15 => '900italic'
        ),
        'Mystery Quest' => array(
          0 => '400',
        ),
        'NTR' => array(
          0 => '400'
        ),
        'Nanum Brush Script' => array(
          0 => '400'
        ),
        'Nanum Gothic' => array(
          0 => '400',
          1 => '700',
          2 => '800'
        ),
        'Nanum Gothic Coding' => array(
          0 => '400',
          1 => '700'
        ),
        'Nanum Myeongjo' => array(
          0 => '400',
          1 => '700',
          2 => '800'
        ),
        'Nanum Pen Script' => array(
          0 => '400'
        ),
        'Neucha' => array(
          0 => '400',
        ),
        'Neuton' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '800',
        ),
        'New Rocker' => array(
          0 => '400',
        ),
        'News Cycle' => array(
          0 => '400',
          1 => '700',
        ),
        'Niconne' => array(
          0 => '400',
        ),
        'Nixie One' => array(
          0 => '400',
        ),
        'Nobile' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Nokora' => array(
          0 => '400',
          1 => '700',
        ),
        'Norican' => array(
          0 => '400',
        ),
        'Nosifer' => array(
          0 => '400',
        ),
        'Nothing You Could Do' => array(
          0 => '400',
        ),
        'Noticia Text' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Noto Sans' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Noto Serif Khojki' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
        ),
        'Noto Serif Oriya' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
        ),
        'Noto Serif Toto' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
        ),
        'Noto Serif' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Nova Cut' => array(
          0 => '400',
        ),
        'Nova Flat' => array(
          0 => '400',
        ),
        'Nova Mono' => array(
          0 => '400',
        ),
        'Nova Oval' => array(
          0 => '400',
        ),
        'Nova Round' => array(
          0 => '400',
        ),
        'Nova Script' => array(
          0 => '400',
        ),
        'Nova Slim' => array(
          0 => '400',
        ),
        'Nova Square' => array(
          0 => '400',
        ),
        'Numans' => array(
          0 => '400',
        ),
        'Nunito' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Nunito Sans' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
          10 => '800',
          12 => '800italic',
          13 => '900',
          14 => '900italic'
        ),
        'Odor Mean Chey' => array(
          0 => '400',
        ),
        'Offside' => array(
          0 => '400',
        ),
        'Old Standard TT' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Oldenburg' => array(
          0 => '400',
        ),
        'Oleo Script' => array(
          0 => '400',
          1 => '700',
        ),
        'Oleo Script Swash Caps' => array(
          0 => '400',
          1 => '700',
        ),
        'Open Sans' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic',
          8 => '800',
          9 => '800italic',
        ),
        'Open Sans Condensed' => array(
          0 => '300',
          1 => '300italic',
          2 => '700',
        ),
        'Oranienbaum' => array(
          0 => '400',
        ),
        'Orbitron' => array(
          0 => '400',
          1 => '500',
          2 => '700',
          3 => '900',
        ),
        'Oregano' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Orienta' => array(
          0 => '400',
        ),
        'Original Surfer' => array(
          0 => '400',
        ),
        'Oswald' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Outfit' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Over the Rainbow' => array(
          0 => '400',
        ),
        'Overlock' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
          4 => '900',
          5 => '900italic',
        ),
        'Overlock SC' => array(
          0 => '400',
        ),
        'Overpass' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '600',
          9 => '600italic',
          10 => '700',
          11 => '700italic',
          12 => '800',
          13 => '800italic',
          14 => '900',
          15 => '900italic'
        ),
        'Overpass Mono' => array(
          0 => '300',
          1 => '400',
          2 => '600',
          3 => '700'
        ),
        'Ovo' => array(
          0 => '400',
        ),
        'Oxygen' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Oxygen Mono' => array(
          0 => '400',
        ),
        'PT Mono' => array(
          0 => '400',
        ),
        'PT Sans' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'PT Sans Caption' => array(
          0 => '400',
          1 => '700',
        ),
        'PT Sans Narrow' => array(
          0 => '400',
          1 => '700',
        ),
        'PT Serif' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'PT Serif Caption' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Pacifico' => array(
          0 => '400',
        ),
        'Padauk' => array(
          0 => '400',
          1 => '700'
        ),
        'Palanquin' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700'
        ),
        'Palanquin Dark' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700'
        ),
        'Pangolin' => array(
          0 => '400'
        ),
        'Paprika' => array(
          0 => '400',
        ),
        'Parisienne' => array(
          0 => '400',
        ),
        'Passero One' => array(
          0 => '400',
        ),
        'Passion One' => array(
          0 => '400',
          1 => '700',
          2 => '900',
        ),
        'Pathway Gothic One' => array(
          0 => '400',
        ),
        'Patrick Hand' => array(
          0 => '400',
        ),
        'Patrick Hand SC' => array(
          0 => '400',
        ),
        'Pattaya' => array(
          0 => '400'
        ),
        'Pavanam' => array(
          0 => '400'
        ),
        'Patua One' => array(
          0 => '400',
        ),
        'Paytone One' => array(
          0 => '400',
        ),
        'Peddana' => array(
          0 => '400'
        ),
        'Peralta' => array(
          0 => '400',
        ),
        'Permanent Marker' => array(
          0 => '400',
        ),
        'Petit Formal Script' => array(
          0 => '400',
        ),
        'Petrona' => array(
          0 => '400',
        ),
        'Philosopher' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Piedra' => array(
          0 => '400',
        ),
        'Pinyon Script' => array(
          0 => '400',
        ),
        'Pirata One' => array(
          0 => '400',
        ),
        'Plaster' => array(
          0 => '400',
        ),
        'Play' => array(
          0 => '400',
          1 => '700',
        ),
        'Playball' => array(
          0 => '400',
        ),
        'Playfair Display' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
          4 => '900',
          5 => '900italic',
        ),
        'Playfair Display SC' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
          4 => '900',
          5 => '900italic',
        ),
        'Plus Jakarta Sans' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '600',
          9 => '600italic',
          10 => '700',
          11 => '700italic',
          12 => '800',
          13 => '800italic',
        ),
        'Podkova' => array(
          0 => '400',
          1 => '700',
        ),
        'Poiret One' => array(
          0 => '400',
        ),
        'Poller One' => array(
          0 => '400',
        ),
        'Poly' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Pompiere' => array(
          0 => '400',
        ),
        'Pontano Sans' => array(
          0 => '400',
        ),
        'Poppins' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Port Lligat Sans' => array(
          0 => '400',
        ),
        'Port Lligat Slab' => array(
          0 => '400',
        ),
        'Pragati Narrow' => array(
          0 => '400',
          1 => '700'
        ),
        'Prata' => array(
          0 => '400',
        ),
        'Preahvihear' => array(
          0 => '400',
        ),
        'Press Start 2P' => array(
          0 => '400',
        ),
        'Pridi' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700'
        ),
        'Princess Sofia' => array(
          0 => '400',
        ),
        'Prociono' => array(
          0 => '400',
        ),
        'Prompt' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Prosto One' => array(
          0 => '400',
        ),
        'Proza Libre' => array(
          0 => '400',
          1 => '400italic',
          2 => '500',
          3 => '500italic',
          4 => '600',
          5 => '600italic',
          6 => '700',
          7 => '700italic',
          8 => '800',
          9 => '800italic'
        ),
        'Puritan' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Purple Purse' => array(
          0 => '400',
        ),
        'Quando' => array(
          0 => '400',
        ),
        'Quantico' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Quattrocento' => array(
          0 => '400',
          1 => '700',
        ),
        'Quattrocento Sans' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Questrial' => array(
          0 => '400',
        ),
        'Quicksand' => array(
          0 => '300',
          1 => '400',
          2 => '700',
        ),
        'Quintessential' => array(
          0 => '400',
        ),
        'Qwigley' => array(
          0 => '400',
        ),
        'Racing Sans One' => array(
          0 => '400',
        ),
        'Radley' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Rajdhani' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Rakkas' => array(
          0 => '400'
        ),
        'Raleway' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900',
        ),
        'Raleway Dots' => array(
          0 => '400',
        ),
        'Ramabhadra' => array(
          0 => '400'
        ),
        'Ramaraja' => array(
          0 => '400'
        ),
        'Rambla' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Rammetto One' => array(
          0 => '400',
        ),
        'Ranchers' => array(
          0 => '400',
        ),
        'Rancho' => array(
          0 => '400',
        ),
        'Ranga' => array(
          0 => '400',
          1 => '700'
        ),
        'Rasa' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Rationale' => array(
          0 => '400',
        ),
        'Ravi Prakash' => array(
          0 => '400'
        ),
        'Redressed' => array(
          0 => '400',
        ),
        'Reem Kufi' => array(
          0 => '400'
        ),
        'Reenie Beanie' => array(
          0 => '400',
        ),
        'Revalia' => array(
          0 => '400',
        ),
        'Rhodium Libre' => array(
          0 => '400'
        ),
        'Ribeye' => array(
          0 => '400',
        ),
        'Ribeye Marrow' => array(
          0 => '400',
        ),
        'Righteous' => array(
          0 => '400',
        ),
        'Risque' => array(
          0 => '400',
        ),
        'Roboto' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '700',
          9 => '700italic',
          10 => '900',
          11 => '900italic',
        ),
        'Roboto Condensed' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '700',
          5 => '700italic',
        ),
        'Roboto Mono' => array(
          0 => '100',
          1 => '100italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '700',
          9 => '700italic'
        ),
        'Roboto Serif' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Roboto Slab' => array(
          0 => '100',
          1 => '300',
          2 => '400',
          3 => '700',
        ),
        'Rochester' => array(
          0 => '400',
        ),
        'Rock Salt' => array(
          0 => '400',
        ),
        'Rokkitt' => array(
          0 => '400',
          1 => '700',
        ),
        'Romanesco' => array(
          0 => '400',
        ),
        'Ropa Sans' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Rosario' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Rosarivo' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Rouge Script' => array(
          0 => '400',
        ),
        'Rozha One' => array(
          0 => '400'
        ),
        'Rubik' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '700',
          7 => '700italic',
          8 => '900',
          9 => '900italic'
        ),
        'Rubik Mono One' => array(
          0 => '400'
        ),
        'Ruda' => array(
          0 => '400',
          1 => '700',
          2 => '900',
        ),
        'Rufina' => array(
          0 => '400',
          1 => '700',
        ),
        'Ruge Boogie' => array(
          0 => '400',
        ),
        'Ruluko' => array(
          0 => '400',
        ),
        'Rum Raisin' => array(
          0 => '400',
        ),
        'Ruslan Display' => array(
          0 => '400',
        ),
        'Russo One' => array(
          0 => '400',
        ),
        'Ruthie' => array(
          0 => '400',
        ),
        'Rye' => array(
          0 => '400',
        ),
        'Sacramento' => array(
          0 => '400',
        ),
        'Sahitya' => array(
          0 => '400',
          1 => '700'
        ),
        'Sail' => array(
          0 => '400',
        ),
        'Saira' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Saira Condensed' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Saira Extra Condensed' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Saira Semi Condensed' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Salsa' => array(
          0 => '400',
        ),
        'Sanchez' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Sancreek' => array(
          0 => '400',
        ),
        'Sansita One' => array(
          0 => '400',
        ),
        'Sarala' => array(
          0 => '400',
          1 => '700'
        ),
        'Sarina' => array(
          0 => '400',
        ),
        'Sarpanch' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800',
          5 => '900'
        ),
        'Satisfy' => array(
          0 => '400',
        ),
        'Scada' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Scheherazade' => array(
          0 => '400',
          1 => '700'
        ),
        'Schoolbell' => array(
          0 => '400',
        ),
        'Scope One' => array(
          0 => '400'
        ),
        'Seaweed Script' => array(
          0 => '400',
        ),
        'Secular One' => array(
          0 => '400'
        ),
        'Sedgwick Ave' => array(
          0 => '400'
        ),
        'Sedgwick Ave Display' => array(
          0 => '400'
        ),
        'Sevillana' => array(
          0 => '400',
        ),
        'Seymour One' => array(
          0 => '400',
        ),
        'Shadows Into Light' => array(
          0 => '400',
        ),
        'Shadows Into Light Two' => array(
          0 => '400',
        ),
        'Share' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Share Tech' => array(
          0 => '400',
        ),
        'Share Tech Mono' => array(
          0 => '400',
        ),
        'Shojumaru' => array(
          0 => '400',
        ),
        'Short Stack' => array(
          0 => '400',
        ),
        'Shrikhand' => array(
          0 => '400'
        ),
        'Siemreap' => array(
          0 => '400',
        ),
        'Sigmar One' => array(
          0 => '400',
        ),
        'Signika' => array(
          0 => '300',
          1 => '400',
          2 => '600',
          3 => '700',
        ),
        'Signika Negative' => array(
          0 => '300',
          1 => '400',
          2 => '600',
          3 => '700',
        ),
        'Simonetta' => array(
          0 => '400',
          1 => '400italic',
          2 => '900',
          3 => '900italic',
        ),
        'Sintony' => array(
          0 => '400',
          1 => '700',
        ),
        'Sirin Stencil' => array(
          0 => '400',
        ),
        'Six Caps' => array(
          0 => '400',
        ),
        'Skranji' => array(
          0 => '400',
          1 => '700',
        ),
        'Slabo 13px' => array(
          0 => '400'
        ),
        'Slabo 27px' => array(
          0 => '400'
        ),
        'Slackey' => array(
          0 => '400',
        ),
        'Smokum' => array(
          0 => '400',
        ),
        'Smythe' => array(
          0 => '400',
        ),
        'Sniglet' => array(
          0 => '400',
          1 => '800',
        ),
        'Snippet' => array(
          0 => '400',
        ),
        'Snowburst One' => array(
          0 => '400',
        ),
        'Sofadi One' => array(
          0 => '400',
        ),
        'Sofia' => array(
          0 => '400',
        ),
        'Sofia Sans Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Sofia Sans Extra Condensed' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Sonsie One' => array(
          0 => '400',
        ),
        'Sorts Mill Goudy' => array(
          0 => '400',
          1 => '400italic',
        ),
        'Source Code Pro' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '600',
          5 => '700',
          6 => '900',
        ),
        'Source Sans Pro' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
          10 => '900',
          11 => '900italic',
        ),
        'Source Serif Pro' => array(
          0 => '400',
          1 => '600',
          2 => '700'
        ),
        'Space Grotesk' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700',
        ),
        'Space Mono' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic'
        ),
        'Special Elite' => array(
          0 => '400',
        ),
        'Spectral' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '600',
          9 => '600italic',
          10 => '700',
          11 => '700italic',
          12 => '800',
          13 => '800italic'
        ),
        'Spectral SC' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '500',
          7 => '500italic',
          8 => '600',
          9 => '600italic',
          10 => '700',
          11 => '700italic',
          12 => '800',
          13 => '800italic'
        ),
        'Spicy Rice' => array(
          0 => '400',
        ),
        'Spinnaker' => array(
          0 => '400',
        ),
        'Spirax' => array(
          0 => '400',
        ),
        'Squada One' => array(
          0 => '400',
        ),
        'Square Peg' => array(
           0 => '400'
        ),
        'Sree Krushnadevaraya' => array(
          0 => '400'
        ),
        'Sriracha' => array(
          0 => '400'
        ),
        'Stalemate' => array(
          0 => '400',
        ),
        'Stalinist One' => array(
          0 => '400',
        ),
        'Stardos Stencil' => array(
          0 => '400',
          1 => '700',
        ),
        'Stint Ultra Condensed' => array(
          0 => '400',
        ),
        'Stint Ultra Expanded' => array(
          0 => '400',
        ),
        'Stoke' => array(
          0 => '300',
          1 => '400',
        ),
        'Strait' => array(
          0 => '400',
        ),
        'Sue Ellen Francisco' => array(
          0 => '400',
        ),
        'Suez One' => array(
          0 => '400'
        ),
        'Sumana' => array(
          0 => '400',
          1 => '700'
        ),
        'Sunshiney' => array(
          0 => '400',
        ),
        'Supermercado One' => array(
          0 => '400',
        ),
        'Sura' => array(
          0 => '400',
          1 => '700'
        ),
        'Suranna' => array(
          0 => '400'
        ),
        'Suravaram' => array(
          0 => '400'
        ),
        'Suwannaphum' => array(
          0 => '400',
        ),
        'Swanky and Moo Moo' => array(
          0 => '400',
        ),
        'Syncopate' => array(
          0 => '400',
          1 => '700',
        ),
        'Syne' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800',
        ),
        'Tangerine' => array(
          0 => '400',
          1 => '700',
        ),
        'Taprom' => array(
          0 => '400',
        ),
        'Tauri' => array(
          0 => '400',
        ),
        'Taviraj' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Teko' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Telex' => array(
          0 => '400',
        ),
        'Tenali Ramakrishna' => array(
          0 => '400'
        ),
        'Tenor Sans' => array(
          0 => '400',
        ),
        'Text Me One' => array(
          0 => '400',
        ),
        'The Girl Next Door' => array(
          0 => '400',
        ),
        'Tienne' => array(
          0 => '400',
          1 => '700',
          2 => '900',
        ),
        'Tinos' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Tillana' => array(
          0 => '400',
          1 => '500',
          2 => '600',
          3 => '700',
          4 => '800'
        ),
        'Tilt Neon' => array(
          0 => '400'
        ),
        'Tilt Warp' => array(
          0 => '400'
        ),
        'Timmana' => array(
          0 => '400'
        ),
        'Tinos' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic'
        ),
        'Titan One' => array(
          0 => '400',
        ),
        'Titillium Web' => array(
          0 => '200',
          1 => '200italic',
          2 => '300',
          3 => '300italic',
          4 => '400',
          5 => '400italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic',
          10 => '900',
        ),
        'Trade Winds' => array(
          0 => '400',
        ),
        'Trirong' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'Trocchi' => array(
          0 => '400',
        ),
        'Trochut' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
        ),
        'Trykker' => array(
          0 => '400',
        ),
        'Tulpen One' => array(
          0 => '400',
        ),
        'Ubuntu' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '700',
          7 => '700italic',
        ),
        'Ubuntu Condensed' => array(
          0 => '400',
        ),
        'Ubuntu Mono' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Ultra' => array(
          0 => '400',
        ),
        'Uncial Antiqua' => array(
          0 => '400',
        ),
        'Underdog' => array(
          0 => '400',
        ),
        'Unica One' => array(
          0 => '400',
        ),
        'UnifrakturCook' => array(
          0 => '700',
        ),
        'UnifrakturMaguntia' => array(
          0 => '400',
        ),
        'Unkempt' => array(
          0 => '400',
          1 => '700',
        ),
        'Unlock' => array(
          0 => '400',
        ),
        'Unna' => array(
          0 => '400',
        ),
        'Updock' => array(
          0 => '400'
        ),
        'Urbanist' => array(
          0 => '100',
          1 => '100italic',
          2 => '200',
          3 => '200italic',
          4 => '300',
          5 => '300italic',
          6 => '400',
          7 => '400italic',
          8 => '500',
          9 => '500italic',
          10 => '600',
          11 => '600italic',
          12 => '700',
          13 => '700italic',
          14 => '800',
          15 => '800italic',
          16 => '900',
          17 => '900italic'
        ),
        'VT323' => array(
          0 => '400',
        ),
        'Vampiro One' => array(
          0 => '400',
        ),
        'Varela' => array(
          0 => '400',
        ),
        'Varela Round' => array(
          0 => '400',
        ),
        'Vast Shadow' => array(
          0 => '400',
        ),
        'Vesper Libre' => array(
          0 => '400',
          1 => '500',
          2 => '700',
          3 => '900'
        ),
        'Vibur' => array(
          0 => '400',
        ),
        'Vidaloka' => array(
          0 => '400',
        ),
        'Viga' => array(
          0 => '400',
        ),
        'Voces' => array(
          0 => '400',
        ),
        'Volkhov' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Vollkorn' => array(
          0 => '400',
          1 => '400italic',
          2 => '700',
          3 => '700italic',
        ),
        'Voltaire' => array(
          0 => '400',
        ),
        'Waiting for the Sunrise' => array(
          0 => '400',
        ),
        'Wallpoet' => array(
          0 => '400',
        ),
        'Walter Turncoat' => array(
          0 => '400',
        ),
        'Warnes' => array(
          0 => '400',
        ),
        'Wellfleet' => array(
          0 => '400',
        ),
        'Wendy One' => array(
          0 => '400',
        ),
        'Whisper' => array(
          0 => '400'
        ),
        'Wire One' => array(
          0 => '400',
        ),
        'Work Sans' => array(
          0 => '100',
          1 => '200',
          2 => '300',
          3 => '400',
          4 => '500',
          5 => '600',
          6 => '700',
          7 => '800',
          8 => '900'
        ),
        'Yanone Kaffeesatz' => array(
          0 => '200',
          1 => '300',
          2 => '400',
          3 => '700',
        ),
        'Yantramanav' => array(
          0 => '100',
          1 => '300',
          2 => '400',
          3 => '500',
          4 => '700',
          5 => '900'
        ),
        'Yatra One' => array(
          0 => '400'
        ),
        'Yellowtail' => array(
          0 => '400',
        ),
        'Yeseva One' => array(
          0 => '400',
        ),
        'Yesteryear' => array(
          0 => '400',
        ),
        'Yrsa' => array(
          0 => '300',
          1 => '400',
          2 => '500',
          3 => '600',
          4 => '700'
        ),
        'Zeyada' => array(
          0 => '400',
        ),
        'Zilla Slab' => array(
          0 => '300',
          1 => '300italic',
          2 => '400',
          3 => '400italic',
          4 => '500',
          5 => '500italic',
          6 => '600',
          7 => '600italic',
          8 => '700',
          9 => '700italic'
        ),
        'Zilla Slab Highlight' => array(
          0 => '400',
          1 => '700'
        )
      );

      return $swm_google_fonts_weight;

    }
}
if ( ! function_exists( 'swm_fonts_all_weights' ) ) {
    function swm_fonts_all_weights() {

      $swm_google_fonts_all_weights = array(
        '100'       => esc_html__( 'Thin', 'orbius' ),
        '100italic' => esc_html__( 'Thin Italic', 'orbius' ),
        '200'       => esc_html__( 'Extra Light', 'orbius' ),
        '200italic' => esc_html__( 'Extra Light Italic', 'orbius' ),
        '300'       => esc_html__( 'Light', 'orbius' ),
        '300italic' => esc_html__( 'Light Italic', 'orbius' ),
        '400'       => esc_html__( 'Regular', 'orbius' ),
        '400italic' => esc_html__( 'Regular Italic', 'orbius' ),
        '500'       => esc_html__( 'Medium', 'orbius' ),
        '500italic' => esc_html__( 'Medium Italic', 'orbius' ),
        '600'       => esc_html__( 'Semi Bold', 'orbius' ),
        '600italic' => esc_html__( 'Semi Bold Italic', 'orbius' ),
        '700'       => esc_html__( 'Bold', 'orbius' ),
        '700italic' => esc_html__( 'Bold Italic', 'orbius' ),
        '800'       => esc_html__( 'Extra Bold', 'orbius' ),
        '800italic' => esc_html__( 'Extra Bold Italic', 'orbius' ),
        '900'       => esc_html__( 'Black', 'orbius' ),
        '900italic' => esc_html__( 'Black Italic', 'orbius' )
      );

      return $swm_google_fonts_all_weights;

    }
}
if ( ! function_exists( 'swm_check_google_font_italic' ) ) {
    function swm_check_google_font_italic( $font_weight_and_style ) {

      if ( strpos( $font_weight_and_style, 'italic' ) ) {
        return true;
      } else {
        return false;
      }

    }
}
if ( ! function_exists( 'swm_google_fonts_final_weight' ) ) {
    function swm_google_fonts_final_weight( $font_weight_and_style ) {

      $swm_google_fonts_final_weight = ( swm_check_google_font_italic( $font_weight_and_style ) ) ? str_replace( 'italic', '', $font_weight_and_style ) : $font_weight_and_style;

      return $swm_google_fonts_final_weight;

    }
}
if ( ! function_exists( 'swm_google_fonts_query' ) ) {
    function swm_google_fonts_query( $font_family ) {
      $swm_font_family_query = str_replace( ' ', '+', $font_family );
      return $swm_font_family_query;
    }
}